Sync with portage [Sun Nov 27 19:21:54 MSK 2011].

mhiretskiy
root 13 years ago
parent 3e83e22f77
commit f2ea5ba5d0

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-unison/eselect-unison-0.3.ebuild,v 1.1 2010/02/28 20:39:53 abcd Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-unison/eselect-unison-0.3.ebuild,v 1.2 2011/11/26 10:35:23 hwoarang Exp $
inherit eutils
@ -10,7 +10,7 @@ SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE=""
DEPEND=""

@ -1 +1,2 @@
DIST Parse-Evtx-1.0.8.zip 56100 RMD160 77efd57dac627a105a1f00a96c8ac8e23d97ef24 SHA1 9ea1380400225c50dca61f0766484a3c181a4393 SHA256 bd846048685ca6f70eec01de7bb2f2a8df1d934d34b5c4af6cd5b55485407146
DIST Parse-Evtx-1.1.0.zip 70268 RMD160 55f3a4610343976bf1938ed6d72dcccb7db24ed9 SHA1 405f6a6f0098373ae015bf3cc917ca0bacc9be35 SHA256 24de63b28699433998904785cd28b92972c86e558cabe03851f89203de4ef6e1

@ -0,0 +1,32 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/evtxtools/evtxtools-1.1.0.ebuild,v 1.1 2011/11/26 19:49:51 maksbotan Exp $
EAPI=3
inherit perl-app perl-module
MY_PN="Parse-Evtx"
DESCRIPTION="Read, decode and dump Windows Vista/2008/7 event log file "
HOMEPAGE="http://computer.forensikblog.de/en/topics/windows/vista_event_log"
SRC_URI="http://computer.forensikblog.de/files/evtx/${MY_PN}-${PV}.zip"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="dev-perl/DateTime
dev-perl/Digest-CRC
dev-perl/DateTime
dev-perl/Carp-Assert
dev-perl/Data-Hexify"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_PN}-${PV}"
pkg_postinst() {
einfo "Consider the following as how-to:"
einfo "http://rwmj.wordpress.com/2011/04/17/decoding-the-windows-event-log-using-guestfish/"
}

@ -1,12 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>no-herd</herd>
<herd>proxy-maintainers</herd>
<maintainer>
<email>spamslepnoga@inbox.ru</email>
<description>Description of the maintainership</description>
<email>spamslepnoga@inbox.ru</email>
</maintainer>
<maintainer>
<email>maksbotan@gentoo.org</email>
<name>Maxim Koltsov</name>
</maintainer>
<longdescription>Long description of the package</longdescription>
<use>
</use>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-antivirus/clamav/clamav-0.97.3.ebuild,v 1.6 2011/10/23 08:24:08 xarthisius Exp $
# $Header: /var/cvsroot/gentoo-x86/app-antivirus/clamav/clamav-0.97.3.ebuild,v 1.7 2011/11/27 03:37:41 radhermit Exp $
EAPI=4
@ -31,6 +31,8 @@ RESTRICT="test"
DOCS=( AUTHORS BUGS ChangeLog FAQ INSTALL NEWS README UPGRADE )
AUTOTOOLS_IN_SOURCE_BUILD=1
pkg_setup() {
enewgroup clamav
enewuser clamav -1 -1 /dev/null clamav

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/libpar2/libpar2-0.2-r2.ebuild,v 1.2 2011/10/24 10:26:23 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/libpar2/libpar2-0.2-r3.ebuild,v 1.1 2011/11/26 18:55:50 radhermit Exp $
EAPI=4
@ -22,3 +22,5 @@ DEPEND="${RDEPEND}
PATCHES=( "${FILESDIR}"/${P}-bugfixes.patch )
DOCS=( AUTHORS ChangeLog README )
AUTOTOOLS_IN_SOURCE_BUILD=1

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/zile/zile-2.4.2.ebuild,v 1.2 2011/10/25 20:35:03 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/app-editors/zile/zile-2.4.2.ebuild,v 1.3 2011/11/26 10:45:28 hwoarang Exp $
EAPI=4
@ -10,7 +10,7 @@ SRC_URI="mirror://gnu/zile/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE="acl test"
RDEPEND="dev-libs/boehm-gc

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emacs/mew/mew-6.2.ebuild,v 1.5 2010/01/12 17:56:26 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emacs/mew/mew-6.2.ebuild,v 1.6 2011/11/26 13:13:11 ulm Exp $
inherit elisp
@ -14,7 +14,9 @@ KEYWORDS="alpha amd64 ppc sparc x86"
IUSE="ssl linguas_ja"
RESTRICT="test"
RDEPEND="ssl? ( net-misc/stunnel )"
DEPEND="sys-libs/zlib"
RDEPEND="${DEPEND}
ssl? ( net-misc/stunnel )"
SITEFILE="50${PN}-gentoo.el"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emacs/mew/mew-6.3.ebuild,v 1.2 2011/11/24 08:44:09 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emacs/mew/mew-6.3.ebuild,v 1.3 2011/11/26 13:13:11 ulm Exp $
inherit elisp
@ -14,7 +14,9 @@ KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
IUSE="ssl linguas_ja"
RESTRICT="test"
RDEPEND="ssl? ( net-misc/stunnel )"
DEPEND="sys-libs/zlib"
RDEPEND="${DEPEND}
ssl? ( net-misc/stunnel )"
SITEFILE="50${PN}-gentoo.el"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emacs/mew/mew-6.4-r1.ebuild,v 1.1 2011/11/24 08:44:09 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emacs/mew/mew-6.4-r1.ebuild,v 1.2 2011/11/26 13:13:11 ulm Exp $
EAPI=4
@ -16,7 +16,9 @@ KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
IUSE="ssl linguas_ja"
RESTRICT="test"
RDEPEND="ssl? ( net-misc/stunnel )"
DEPEND="sys-libs/zlib"
RDEPEND="${DEPEND}
ssl? ( net-misc/stunnel )"
SITEFILE="50${PN}-gentoo.el"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-forensics/afflib/afflib-3.6.12.ebuild,v 1.4 2011/11/26 00:24:57 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-forensics/afflib/afflib-3.6.12.ebuild,v 1.6 2011/11/26 10:43:27 hwoarang Exp $
EAPI="4"
PYTHON_DEPEND="python? 2"
@ -13,7 +13,7 @@ SRC_URI="http://www.afflib.org/downloads/${P}.tar.gz"
LICENSE="BSD-4"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~x86"
KEYWORDS="amd64 ~hppa ~ppc ~x86"
IUSE="fuse ncurses python qemu readline s3 static-libs threads"
RDEPEND="dev-libs/expat
@ -37,8 +37,8 @@ pkg_setup() {
src_prepare() {
epatch "${FILESDIR}"/${P}-python-module.patch
sed -i -e "/FLAGS/s: -g::" configure.ac
sed -i -e "/-static/d" tools/Makefile.am
sed -i -e "/FLAGS/s: -g::" configure.ac || die
sed -i -e "/-static/d" tools/Makefile.am || die
eautoreconf
}

@ -9,7 +9,6 @@
<flag name="ewf">Enable libewf extra formats</flag>
<flag name="fuse">Enable extra fuse thingies</flag>
<flag name="qemu">Enable qemu stuff</flag>
<flag name="s3">Enable S3</flag>
<flag name="s3">Enable support for Amazon S3</flag>
</use>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-forensics/foremost/foremost-1.5.7-r1.ebuild,v 1.3 2011/11/23 04:59:11 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-forensics/foremost/foremost-1.5.7-r1.ebuild,v 1.4 2011/11/26 10:38:37 hwoarang Exp $
EAPI=4
@ -12,7 +12,7 @@ HOMEPAGE="http://foremost.sourceforge.net/"
# starting to hate sf.net ...
SRC_URI="http://foremost.sourceforge.net/pkg/${P}.tar.gz"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc ~x86"
IUSE=""
LICENSE="public-domain"
SLOT="0"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-forensics/libewf/libewf-20100226-r1.ebuild,v 1.3 2011/11/24 22:31:42 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-forensics/libewf/libewf-20100226-r1.ebuild,v 1.4 2011/11/27 03:48:05 radhermit Exp $
EAPI="4"
@ -23,6 +23,8 @@ DEPEND="
dev-libs/openssl"
RDEPEND="${DEPEND}"
AUTOTOOLS_IN_SOURCE_BUILD=1
src_configure() {
econf \
$(use_enable debug debug-output) \

@ -1,3 +1,4 @@
DIST tracker-0.10.27.tar.xz 5721444 RMD160 63e3609ac51fae013fc0daf9935ec50ef3a4c609 SHA1 01f0a52a21c3aecaaf6cfb140f7a4b5085a7bc5f SHA256 30ca97cc8a1c82cb0e09a921c0ebe8acbfe7be6908b2303266f447477465444f
DIST tracker-0.10.35.tar.xz 5754872 RMD160 6919a7623bf3f041b617d7c2a2b55856863b5e9e SHA1 93fdeb6be256085e72f1ab9f9e578332de9605f0 SHA256 5f6a32d0b2b0036f4aec74a6d36d889e33ea038a1530161ca4eb9a549cc87fe3
DIST tracker-0.12.7.tar.xz 5969180 RMD160 e31b85538145404640c303968ecbbb8f729d2564 SHA1 188c9aaa5478302be818e36c3ef126267971289d SHA256 e7a4d016326bc0a1b6aea07e48c3de73ffc29119812149e2dee5eac35104f1b4
DIST tracker-0.12.8.tar.xz 5876100 RMD160 10f29842973c0489d5e0c2e0c0c977ca87d47fee SHA1 a1a528bdcaacce4350c2368026083236db7cd165 SHA256 92b18cc381a80d87d52e386f51ca1475b94f82cf5adf668424669c5b63474473

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/tracker/tracker-0.12.7.ebuild,v 1.2 2011/11/08 22:25:58 eva Exp $
# $Header: /var/cvsroot/gentoo-x86/app-misc/tracker/tracker-0.12.7.ebuild,v 1.3 2011/11/26 19:27:22 tetromino Exp $
EAPI="3"
GCONF_DEBUG="no"
@ -106,7 +106,7 @@ DEPEND="${RDEPEND}
>=sys-apps/dbus-1.3.1[X] )
"
# strigi? ( >=dev-lang/vala-0.12:0.12 )
PDEPEND="nautilus? ( >=gnome-extra/nautilus-tracker-tags-${PV} )"
PDEPEND="nautilus? ( >=gnome-extra/nautilus-tracker-tags-0.12.7 )"
function inotify_enabled() {
if linux_config_exists; then

@ -0,0 +1,265 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/tracker/tracker-0.12.8.ebuild,v 1.1 2011/11/26 19:27:22 tetromino Exp $
EAPI="3"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
GNOME_TARBALL_SUFFIX="xz"
PYTHON_DEPEND="2:2.6"
inherit eutils gnome2 linux-info multilib python versionator
DESCRIPTION="A tagging metadata database, search tool and indexer"
HOMEPAGE="http://www.tracker-project.org/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
# USE="doc" is managed by eclass.
IUSE="applet doc eds elibc_glibc exif firefox-bookmarks flac flickr gif gnome-keyring gsf gstreamer gtk iptc +jpeg laptop mp3 nautilus networkmanager pdf playlist rss test thunderbird +tiff upnp +vorbis xine +xml xmp" # qt4 strigi
# Test suite highly disfunctional, loops forever
# putting aside for now
RESTRICT="test"
# vala is built with debug by default (see VALAFLAGS)
# According to NEWS, introspection is non-optional
# glibc-2.12 needed for SCHED_IDLE (see bug #385003)
RDEPEND="
>=app-i18n/enca-1.9
>=dev-db/sqlite-3.7[threadsafe]
>=dev-libs/glib-2.28:2
>=dev-libs/gobject-introspection-0.9.5
>=dev-libs/icu-4
|| (
>=media-gfx/imagemagick-5.2.1[png,jpeg=]
media-gfx/graphicsmagick[imagemagick,png,jpeg=] )
>=media-libs/libpng-1.2
>=x11-libs/pango-1
sys-apps/util-linux
applet? (
>=gnome-base/gnome-panel-2.91.6
>=x11-libs/gdk-pixbuf-2.12:2
>=x11-libs/gtk+-3.0:3 )
eds? (
>=mail-client/evolution-2.91.90
>=gnome-extra/evolution-data-server-2.91.90 )
elibc_glibc? ( >=sys-libs/glibc-2.12 )
exif? ( >=media-libs/libexif-0.6 )
firefox-bookmarks? ( || (
>=www-client/firefox-4.0
>=www-client/firefox-bin-4.0 ) )
flac? ( >=media-libs/flac-1.2.1 )
flickr? ( net-libs/rest:0.7 )
gif? ( media-libs/giflib )
gnome-keyring? ( >=gnome-base/gnome-keyring-2.26 )
gsf? (
app-text/odt2txt
>=gnome-extra/libgsf-1.13 )
gstreamer? (
>=media-libs/gstreamer-0.10.31:0.10
upnp? ( >=media-libs/gupnp-dlna-0.5 )
!upnp? ( >=media-libs/gst-plugins-base-0.10.31 ) )
!gstreamer? ( !xine? ( || ( media-video/totem media-video/mplayer ) ) )
gtk? (
>=dev-libs/libgee-0.3:0
>=x11-libs/gtk+-3.0.0:3 )
iptc? ( media-libs/libiptcdata )
jpeg? ( virtual/jpeg:0 )
laptop? ( >=sys-power/upower-0.9 )
mp3? (
>=media-libs/taglib-1.6
gtk? ( x11-libs/gdk-pixbuf:2 ) )
networkmanager? ( >=net-misc/networkmanager-0.8 )
pdf? (
>=x11-libs/cairo-1
>=app-text/poppler-0.16[cairo,utils]
>=x11-libs/gtk+-2.12:2 )
playlist? ( dev-libs/totem-pl-parser )
rss? ( net-libs/libgrss )
thunderbird? ( || (
>=mail-client/thunderbird-5.0
>=mail-client/thunderbird-bin-5.0 ) )
tiff? ( media-libs/tiff )
vorbis? ( >=media-libs/libvorbis-0.22 )
xine? ( >=media-libs/xine-lib-1 )
xml? ( >=dev-libs/libxml2-2.6 )
xmp? ( >=media-libs/exempi-2.1 )"
# strigi? ( >=app-misc/strigi-0.7 )
# mp3? ( qt4? ( >=x11-libs/qt-gui-4.7.1:4 ) )
DEPEND="${RDEPEND}
>=dev-util/intltool-0.40
>=sys-devel/gettext-0.17
>=dev-util/pkgconfig-0.20
applet? ( >=dev-lang/vala-0.12:0.12 )
gtk? (
>=dev-lang/vala-0.12:0.12
>=dev-libs/libgee-0.3 )
doc? (
app-office/dia
>=dev-util/gtk-doc-1.8
media-gfx/graphviz )
test? (
>=dev-libs/dbus-glib-0.82-r1
>=sys-apps/dbus-1.3.1[X] )
"
# strigi? ( >=dev-lang/vala-0.12:0.12 )
PDEPEND="nautilus? ( >=gnome-extra/nautilus-tracker-tags-0.12.7 )"
function inotify_enabled() {
if linux_config_exists; then
if ! linux_chkconfig_present INOTIFY_USER; then
ewarn "You should enable the INOTIFY support in your kernel."
ewarn "Check the 'Inotify support for userland' under the 'File systems'"
ewarn "option. It is marked as CONFIG_INOTIFY_USER in the config"
die 'missing CONFIG_INOTIFY'
fi
else
einfo "Could not check for INOTIFY support in your kernel."
fi
}
pkg_setup() {
linux-info_pkg_setup
inotify_enabled
if use gstreamer ; then
G2CONF="${G2CONF} --enable-generic-media-extractor=gstreamer"
if use upnp; then
G2CONF="${G2CONF} --with-gstreamer-backend=gupnp-dlna"
else
G2CONF="${G2CONF} --with-gstreamer-backend=discoverer"
fi
elif use xine ; then
G2CONF="${G2CONF} --enable-generic-media-extractor=xine"
else
G2CONF="${G2CONF} --enable-generic-media-extractor=external"
fi
# if use applet || use gtk || use strigi; then
if use applet || use gtk; then
G2CONF="${G2CONF} VALAC=$(type -P valac-0.12)"
fi
# if use mp3 && (use gtk || use qt4); then
if use mp3 && use gtk; then
#G2CONF="${G2CONF} $(use_enable !qt4 gdkpixbuf) $(use_enable qt4 qt)"
G2CONF="${G2CONF} --enable-gdkpixbuf"
fi
# unicode-support: libunistring, libicu or glib ?
# According to NEWS, introspection is required
# FIXME: disabling streamanalyzer for now since tracker-sparql-builder.h
# is not being generated
# XXX: disabling qt since tracker-albumart-qt is unstable; bug #385345
# nautilus extension is in a separate package, nautilus-tracker-tags
G2CONF="${G2CONF}
--disable-hal
--disable-libcue
--enable-tracker-fts
--with-enca
--with-unicode-support=libicu
--enable-guarantee-metadata
--enable-introspection
--disable-libstreamanalyzer
--disable-qt
--disable-nautilus-extension
$(use_enable applet tracker-search-bar)
$(use_enable eds miner-evolution)
$(use_enable exif libexif)
$(use_enable firefox-bookmarks miner-firefox)
$(use_with firefox-bookmarks firefox-plugin-dir ${EPREFIX}/usr/$(get_libdir)/firefox/extensions)
FIREFOX=${S}/firefox-version.sh
$(use_enable flac libflac)
$(use_enable flickr miner-flickr)
$(use_enable gnome-keyring)
$(use_enable gsf libgsf)
$(use_enable gtk tracker-explorer)
$(use_enable gtk tracker-preferences)
$(use_enable gtk tracker-needle)
$(use_enable iptc libiptcdata)
$(use_enable jpeg libjpeg)
$(use_enable laptop upower)
$(use_enable mp3 taglib)
$(use_enable networkmanager network-manager)
$(use_enable pdf poppler)
$(use_enable playlist)
$(use_enable rss miner-rss)
$(use_enable test functional-tests)
$(use_enable test unit-tests)
$(use_enable thunderbird miner-thunderbird)
$(use_with thunderbird thunderbird-plugin-dir ${EPREFIX}/usr/$(get_libdir)/thunderbird/extensions)
THUNDERBIRD=${S}/thunderbird-version.sh
$(use_enable tiff libtiff)
$(use_enable vorbis libvorbis)
$(use_enable xml libxml2)
$(use_enable xmp exempi)"
# $(use_enable strigi libstreamanalyzer)
DOCS="AUTHORS ChangeLog NEWS README"
python_set_active_version 2
}
src_prepare() {
# Fix build failures with USE=strigi
epatch "${FILESDIR}/${PN}-0.12.3-strigi.patch"
# Fix functional tests scripts
find "${S}" -name "*.pyc" -delete
python_convert_shebangs -r 2 tests utils examples
# Don't run 'firefox --version' or 'thunderbird --version'; it results in
# access violations on some setups (bug #385347, #385495).
create_version_script "www-client/firefox" "Mozilla Firefox" firefox-version.sh
create_version_script "mail-client/thunderbird" "Mozilla Thunderbird" thunderbird-version.sh
# FIXME: report broken tests
sed -e '/\/libtracker-miner\/tracker-password-provider\/setting/,+1 s:^\(.*\)$:/*\1*/:' \
-e '/\/libtracker-miner\/tracker-password-provider\/getting/,+1 s:^\(.*\)$:/*\1*/:' \
-i tests/libtracker-miner/tracker-password-provider-test.c || die
gnome2_src_prepare
}
src_test() {
unset DBUS_SESSION_BUS_ADDRESS
Xemake check XDG_DATA_HOME="${T}" XDG_CONFIG_HOME="${T}" || die "tests failed"
}
src_install() {
gnome2_src_install
# Manually symlink extensions for {firefox,thunderbird}-bin
if use firefox-bookmarks; then
dosym /usr/share/xul-ext/trackerfox \
/usr/$(get_libdir)/firefox-bin/extensions/trackerfox@bustany.org || die
fi
if use thunderbird; then
dosym /usr/share/xul-ext/trackerbird \
/usr/$(get_libdir)/thunderbird-bin/extensions/trackerbird@bustany.org || die
fi
}
create_version_script() {
# Create script $3 that prints "$2 MAX(VERSION($1), VERSION($1-bin))"
local v=$(best_version ${1})
v=${v#${1}-}
local vbin=$(best_version ${1}-bin)
vbin=${vbin#${1}-bin-}
if [[ -z ${v} ]]; then
v=${vbin}
else
version_compare ${v} ${vbin}
[[ $? -eq 1 ]] && v=${vbin}
fi
echo -e "#!/bin/sh\necho $2 $v" > "$3" || die
chmod +x "$3" || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/orage/orage-4.8.2.ebuild,v 1.7 2011/11/02 14:13:38 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/orage/orage-4.8.2.ebuild,v 1.8 2011/11/26 18:20:42 armin76 Exp $
EAPI=4
inherit flag-o-matic xfconf
@ -15,7 +15,7 @@ SRC_URI="mirror://xfce/src/apps/${PN}/4.8/${P}.tar.bz2
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~x86-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 ~ppc ~ppc64 sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~x86-solaris"
IUSE="berkdb dbus debug libnotify +xfce_plugins_clock"
RDEPEND=">=dev-libs/libical-0.43

@ -1 +1 @@
DIST eclean-kernel-0.1.5.tar.bz2 7954 RMD160 59fa0a9270624cfa9dc5a03460afe0d594dd0cf2 SHA1 7c5b091f53bdf1249fb52529e3e81420e230e69a SHA256 d713e20936b4233756c4fe306b17be8a7de639916f9116b63951fabec17efe6b
DIST eclean-kernel-0.2.tar.bz2 8366 RMD160 f0c7f1efeb608a485dfed78d8d44faad2ac2371a SHA1 6e4d46f5f4c7af06b7b2b71937b30d62ef42aa55 SHA256 62966af772f1e48585dfadc188ac61140e3256a80eb11fcb2d64b1098c51e87c

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/eclean-kernel/eclean-kernel-0.1.5.ebuild,v 1.1 2011/11/21 19:04:00 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/app-portage/eclean-kernel/eclean-kernel-0.2.ebuild,v 1.1 2011/11/26 20:00:54 mgorny Exp $
EAPI=4
PYTHON_DEPEND='2:2.6'

@ -10,6 +10,6 @@
<email>mgorny@gentoo.org</email>
<name>Michał Górny</name>
</maintainer>
<bugs-to>http://bugs.gentoo.org/enter_bug.cgi?product=Gentoo%20Linux&amp;component=Applications&amp;short_desc=app-portage/eclean-kernel:%20</bugs-to>
<bugs-to>https://github.com/mgorny/eclean-kernel/issues/</bugs-to>
</upstream>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-shells/tcsh/tcsh-6.17-r1.ebuild,v 1.8 2011/11/06 16:59:26 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-shells/tcsh/tcsh-6.17-r1.ebuild,v 1.9 2011/11/26 19:01:27 armin76 Exp $
EAPI=3
@ -16,7 +16,7 @@ SRC_URI="ftp://ftp.astron.com/pub/tcsh/old/${MY_P}.tar.gz
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ~ppc ~ppc64 s390 sh sparc x86 ~ppc-aix ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="catalogs doc"
RESTRICT="test"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/cedilla/cedilla-0.6.ebuild,v 1.1 2011/10/20 13:05:13 titanofold Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/cedilla/cedilla-0.6.ebuild,v 1.2 2011/11/26 09:45:40 hwoarang Exp $
EAPI="4"
@ -10,7 +10,7 @@ DESCRIPTION="UTF-8 to postscript converter."
HOMEPAGE="http://www.pps.jussieu.fr/~jch/software/cedilla/"
SRC_URI="http://www.pps.jussieu.fr/~jch/software/files/${P}.tar.gz"
KEYWORDS="~x86 ~amd64"
KEYWORDS="amd64 ~x86"
SLOT="0"
LICENSE="GPL-2"
IUSE=""

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/docbook-xsl-ns-stylesheets/docbook-xsl-ns-stylesheets-1.76.1.ebuild,v 1.4 2011/11/05 21:16:12 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/docbook-xsl-ns-stylesheets/docbook-xsl-ns-stylesheets-1.76.1.ebuild,v 1.5 2011/11/26 18:44:22 armin76 Exp $
DESCRIPTION="XSL Stylesheets for Docbook"
HOMEPAGE="http://wiki.docbook.org/topic/DocBookXslStylesheets"
@ -8,7 +8,7 @@ SRC_URI="mirror://sourceforge/docbook/docbook-xsl-ns-${PV}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="alpha ~amd64 arm hppa ia64 m68k ~mips ~ppc ~ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
RDEPEND=">=app-text/build-docbook-catalog-1.4"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/docbook-xsl-stylesheets/docbook-xsl-stylesheets-1.76.1.ebuild,v 1.4 2011/11/05 21:13:52 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/docbook-xsl-stylesheets/docbook-xsl-stylesheets-1.76.1.ebuild,v 1.5 2011/11/26 18:41:52 armin76 Exp $
DESCRIPTION="XSL Stylesheets for Docbook"
HOMEPAGE="http://wiki.docbook.org/topic/DocBookXslStylesheets"
@ -8,7 +8,7 @@ SRC_URI="mirror://sourceforge/docbook/docbook-xsl-${PV}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha ~amd64 arm hppa ia64 m68k ~mips ~ppc ~ppc64 s390 sh sparc x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND=">=app-text/build-docbook-catalog-1.1"

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/hnb/hnb-1.9.18-r1.ebuild,v 1.3 2010/01/02 11:21:57 fauli Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/hnb/hnb-1.9.18-r1.ebuild,v 1.5 2011/11/26 10:45:13 hwoarang Exp $
EAPI="2"
@ -12,11 +12,11 @@ HOMEPAGE="http://hnb.sourceforge.net/"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
DEPEND=""
RDEPEND=""
RDEPEND="sys-libs/ncurses"
src_prepare() {
epatch "${FILESDIR}/${P}-flags.patch" "${FILESDIR}/${P}-include.patch"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/jadetex/jadetex-3.13-r3.ebuild,v 1.5 2011/11/21 15:35:29 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/jadetex/jadetex-3.13-r3.ebuild,v 1.6 2011/11/26 09:51:59 hwoarang Exp $
inherit latex-package texlive-common
@ -10,7 +10,7 @@ SRC_URI="mirror://sourceforge/jadetex/${P}.tar.gz"
LICENSE="freedist"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
RESTRICT="test"

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/lout/lout-3.38-r1.ebuild,v 1.3 2010/02/20 17:58:07 abcd Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/lout/lout-3.38-r1.ebuild,v 1.4 2011/11/26 10:29:31 hwoarang Exp $
EAPI=3
@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/lout/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
DEPEND="zlib? ( >=sys-libs/zlib-1.1.4 )"
RDEPEND="${DEPEND}"

@ -1 +1,2 @@
DIST asio-1.4.5.tar.bz2 877613 RMD160 de98bf053fc95394fbcfcad9c63049e656d95cd7 SHA1 e98fdb6a2edc4d74c827328bad4ff8412c86afb9 SHA256 33fcb5bdd88ec0833b0069b5d1e4aba6a257b1f55f728274dfca5316e99901ff
DIST asio-1.4.8.tar.bz2 907503 RMD160 0815038bb94cbb69a8639c0d382edc1ee632cb68 SHA1 bd9a8a58c97bc4c3fdcad44de669fb2bf75e302b SHA256 8d6a594c15ef10b5779d0e80adb9483be1cd36f7ada401b40aa7df85559b1fb9

@ -0,0 +1,46 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/asio/asio-1.4.8.ebuild,v 1.1 2011/11/26 09:48:53 radhermit Exp $
EAPI=4
DESCRIPTION="Asynchronous Network Library"
HOMEPAGE="http://asio.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
LICENSE="Boost-1.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="doc examples ssl test"
RDEPEND="ssl? ( dev-libs/openssl )
>=dev-libs/boost-1.35.0"
DEPEND="${RDEPEND}"
src_prepare() {
if ! use test; then
# Don't build nor install any examples or unittests
# since we don't have a script to run them
cat > src/Makefile.in <<-EOF
all:
install:
EOF
fi
}
src_install() {
default
if use doc; then
dohtml -r doc/*
fi
if use examples; then
if use test; then
# Get rid of the object files
emake clean
fi
dodoc -r src/examples
fi
}

@ -1,2 +1 @@
DIST ctemplate-0.99.tar.gz 787831 RMD160 b15cd6825d8f8ec841318ddb1b7afdadbc47931f SHA1 7fe974dfe90d35748564fa577f2c8be4b46f9663 SHA256 e460502ca347d632dd942b9cd46cd6a16d0b53971d65e79b32056f19276061f9
DIST ctemplate-1.0.tar.gz 837995 RMD160 ca1fdc571a869280d0395f919191a0773505c9d0 SHA1 313e3ee7f9e28adb537c08212eb509bdb848de56 SHA256 731279f1717527cf85ff79ed19b8674f91c3768d8bc20b09440e8dd1ca1b5bf8

@ -1,72 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/ctemplate/ctemplate-0.99.ebuild,v 1.3 2011/04/29 09:53:34 radhermit Exp $
EAPI="3"
inherit elisp-common eutils
DESCRIPTION="A simple but powerful template language for C++"
HOMEPAGE="http://code.google.com/p/google-ctemplate/"
SRC_URI="http://google-ctemplate.googlecode.com/files/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
IUSE="doc emacs vim-syntax static-libs"
DEPEND=""
RDEPEND="vim-syntax? ( >=app-editors/vim-core-7 )
emacs? ( virtual/emacs )"
SITEFILE="70ctemplate-gentoo.el"
src_prepare() {
epatch "${FILESDIR}"/${P}-gcc-4.6.patch
}
src_configure() {
econf \
--disable-dependency-tracking \
--enable-shared \
$(use_enable static-libs static)
}
src_compile() {
emake || die "emake failed"
if use emacs ; then
elisp-compile contrib/tpl-mode.el || die "elisp-compile failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
# Installs just every piece
rm -rf "${ED}/usr/share/doc"
dodoc AUTHORS ChangeLog NEWS README
use doc && dohtml doc/*
if use vim-syntax ; then
cd "${S}/contrib"
sh highlighting.vim || die "unpacking vim scripts failed"
insinto /usr/share/vim/vimfiles
doins -r .vim/*
fi
if use emacs ; then
cd "${S}/contrib"
elisp-install ${PN} tpl-mode.el tpl-mode.elc || die "elisp-install failed"
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
fi
}
pkg_postinst() {
use emacs && elisp-site-regen
}
pkg_postrm() {
use emacs && elisp-site-regen
}

@ -1,10 +0,0 @@
--- ctemplate-0.99.orig/src/ctemplate/template_dictionary.h.in
+++ ctemplate-0.99/src/ctemplate/template_dictionary.h.in
@@ -54,6 +54,7 @@
#include <map>
#include <string>
#include <vector>
+#include <cstddef>
#include <ctemplate/template_dictionary_interface.h>
#include <ctemplate/template_string.h>
#include <ctemplate/template_modifiers.h>

@ -3,3 +3,4 @@ DIST redis-2.2.12.tar.gz 455240 RMD160 8bf1275fd1d2ad1536ce7081bdf3522d5e92a8d3
DIST redis-2.2.2.tar.gz 446269 RMD160 a7a21ab6aa07f79e5cdeb991a26dd1d55446e38e SHA1 75b953e4a3067570555c5f3f5e8f481c40489904 SHA256 4c5ff589ec80bf019ebebcf5fb5187939d7e50c34fa9f8a0511e40825a3ec235
DIST redis-2.2.6.tar.gz 447913 RMD160 76ddcd22ba31a7a9dd8a2fb7b465330c933a15c7 SHA1 dd5a5a443327da09483701c48b7ea87e5d160c69 SHA256 64ab9ec01792c50344b030e19dfc2453ff76822cf5845eb6da5654bc1ea09477
DIST redis-2.2.8.tar.gz 448877 RMD160 91c95512ecd2b83834bbe4ebd562ae7fc4699599 SHA1 30fb67ed71c179a7294d06d2c83c9b074a98fb79 SHA256 d438fde47fd8a34d8b135744a4264214274e57bc7f132d0cf4ee4e98a6551bb3
DIST redis-2.4.3.tar.gz 603463 RMD160 1da0661f5d22f046547f2aa9f93d921bd2a50852 SHA1 d917e721a11e38969d92070e9c6476598c6e4621 SHA256 4e0f39968776819a942d1502626ac6072a28e1b148a25f662d80bbcb54d5ba4c

@ -0,0 +1,22 @@
See https://github.com/antirez/redis/pull/137
--- src/Makefile 2011-10-17 10:46:00.000000000 +0200
+++ src/Makefile.2 2011-10-17 13:47:53.000000000 +0200
@@ -49,7 +49,16 @@
ifeq ($(USE_JEMALLOC),yes)
ALLOC_DEP=../deps/jemalloc/lib/libjemalloc.a
ALLOC_LINK=$(ALLOC_DEP) -ldl
- ALLOC_FLAGS=-DUSE_JEMALLOC -I../deps/jemalloc/include
+ ALLOC_FLAGS=-DUSE_JEMALLOC
+ ifdef JEMALLOC_SHARED
+ ALLOC_DEP=
+ ALLOC_LINK=-ljemalloc
+ ALLOC_FLAGS=-DUSE_JEMALLOC -I/usr/include
+ else
+ ALLOC_DEP=../deps/jemalloc/lib/libjemalloc.a
+ ALLOC_LINK=$(ALLOC_DEP) -ldl
+ ALLOC_FLAGS=-DUSE_JEMALLOC -I../deps/jemalloc/include
+ endif
endif
CCOPT= $(CFLAGS) $(ARCH) $(PROF)

@ -0,0 +1,108 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/redis/redis-2.4.3.ebuild,v 1.1 2011/11/26 10:37:47 lu_zero Exp $
EAPI="2"
inherit autotools eutils flag-o-matic
DESCRIPTION="A persistent caching system, key-value and data structures database."
HOMEPAGE="http://redis.io"
SRC_URI="http://redis.googlecode.com/files/${P}.tar.gz"
LICENSE="BSD"
KEYWORDS="~amd64 ~x86 ~x86-macos ~x86-solaris"
IUSE="tcmalloc test"
SLOT="0"
RDEPEND=""
DEPEND=">=sys-devel/autoconf-2.63
tcmalloc? ( dev-util/google-perftools )
!tcmalloc? ( dev-libs/jemalloc )
test? ( dev-lang/tcl )
${RDEPEND}"
S="${WORKDIR}/${PN}-${PV/_/-}"
REDIS_PIDDIR=/var/run/redis/
REDIS_PIDFILE=${REDIS_PIDDIR}/redis.pid
REDIS_DATAPATH=/var/lib/redis
REDIS_LOGPATH=/var/log/redis
REDIS_LOGFILE=${REDIS_LOGPATH}/redis.log
pkg_setup() {
enewgroup redis 75 || die "problem adding 'redis' group"
enewuser redis 75 -1 ${REDIS_DATAPATH} redis || die "problem adding 'redis' user"
# set tcmalloc-variable for the build as specified in
# https://github.com/antirez/redis/blob/2.2/README. If build system gets
# better integrated into autotools, replace with append-flags and
# append-ldflags in src_configure()
if use tcmalloc ; then
export EXTRA_EMAKE="${EXTRA_EMAKE} USE_TCMALLOC=yes"
else
export EXTRA_EMAKE="${EXTRA_EMAKE} JEMALLOC_SHARED=yes"
fi
}
src_prepare() {
epatch "${FILESDIR}/${P}-shared.patch" || die
if use !tcmalloc ; then
sed -i -e "s/je_/j/" src/zmalloc.c || die
fi
# now we will rewrite present Makefiles
local makefiles=""
for MKF in $(find -name 'Makefile' | cut -b 3-); do
mv "${MKF}" "${MKF}.in"
sed -i -e 's:$(CC):@CC@:g' \
-e 's:$(CFLAGS):@AM_CFLAGS@:g' \
-e 's: $(DEBUG)::g' \
-e 's:$(OBJARCH)::g' \
-e 's:ARCH:TARCH:g' \
-e '/^CCOPT=/s:$: $(LDFLAGS):g' \
"${MKF}.in" \
|| die "Sed failed for ${MKF}"
makefiles+=" ${MKF}"
done
# autodetection of compiler and settings; generates the modified Makefiles
cp "${FILESDIR}"/configure.ac-2.2 configure.ac
sed -i -e "s:AC_CONFIG_FILES(\[Makefile\]):AC_CONFIG_FILES([${makefiles}]):g" \
configure.ac || die "Sed failed for configure.ac"
eautoconf
}
src_install() {
# configuration file rewrites
insinto /etc/
sed -r \
-e "/^pidfile\>/s,/var.*,${REDIS_PIDFILE}," \
-e '/^daemonize\>/s,no,yes,' \
-e '/^# bind/s,^# ,,' \
-e '/^# maxmemory\>/s,^# ,,' \
-e '/^maxmemory\>/s,<bytes>,67108864,' \
-e "/^dbfilename\>/s,dump.rdb,${REDIS_DATAPATH}/dump.rdb," \
-e "/^dir\>/s, .*, ${REDIS_DATAPATH}/," \
-e '/^loglevel\>/s:debug:notice:' \
-e "/^logfile\>/s:stdout:${REDIS_LOGFILE}:" \
<redis.conf \
>redis.conf.gentoo
newins redis.conf.gentoo redis.conf
use prefix || fowners redis:redis /etc/redis.conf
fperms 0644 /etc/redis.conf
newconfd "${FILESDIR}/redis.confd" redis
newinitd "${FILESDIR}/redis.initd" redis
dodoc 00-RELEASENOTES BUGS CONTRIBUTING README TODO
dobin src/redis-cli || die "redis-cli could not be found"
dosbin src/redis-benchmark src/redis-server src/redis-check-aof src/redis-check-dump \
|| die "some redis executables could not be found"
fperms 0750 /usr/sbin/redis-benchmark
if use prefix; then
diropts -m0750
else
diropts -m0750 -o redis -g redis
fi
keepdir ${REDIS_DATAPATH} ${REDIS_LOGPATH} ${REDIS_PIDDIR}
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.6.7-r2.ebuild,v 1.4 2011/10/31 04:02:01 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.6.7-r2.ebuild,v 1.5 2011/11/26 16:50:52 floppym Exp $
EAPI="2"
WANT_AUTOMAKE="none"
@ -370,13 +370,6 @@ pkg_postinst() {
sleep 1
done
fi
if [[ "${PV}" != *_pre* ]]; then
elog
elog "If you want to help in testing of recent changes in Python, then you can use"
elog "snapshots of Python from python overlay."
elog
fi
}
pkg_postrm() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.2-r2.ebuild,v 1.5 2011/10/31 04:02:01 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.2-r2.ebuild,v 1.6 2011/11/26 16:50:52 floppym Exp $
EAPI="2"
WANT_AUTOMAKE="none"
@ -383,13 +383,6 @@ pkg_postinst() {
sleep 1
done
fi
if [[ "${PV}" != *_pre* ]]; then
elog
elog "If you want to help in testing of recent changes in Python, then you can use"
elog "snapshots of Python from python overlay."
elog
fi
}
pkg_postrm() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.2-r3.ebuild,v 1.7 2011/10/31 04:02:01 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.2-r3.ebuild,v 1.8 2011/11/26 16:50:52 floppym Exp $
EAPI="2"
WANT_AUTOMAKE="none"
@ -384,13 +384,6 @@ pkg_postinst() {
sleep 1
done
fi
if [[ "${PV}" != *_pre* ]]; then
elog
elog "If you want to help in testing of recent changes in Python, then you can use"
elog "snapshots of Python from python overlay."
elog
fi
}
pkg_postrm() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-3.1.4-r2.ebuild,v 1.5 2011/10/31 04:02:01 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-3.1.4-r2.ebuild,v 1.6 2011/11/26 16:50:52 floppym Exp $
EAPI="3"
WANT_AUTOMAKE="none"
@ -348,13 +348,6 @@ pkg_postinst() {
sleep 1
done
fi
if [[ "${PV}" != *_pre* ]]; then
elog
elog "If you want to help in testing of recent changes in Python, then you can use"
elog "snapshots of Python from python overlay."
elog
fi
}
pkg_postrm() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-3.1.4-r3.ebuild,v 1.5 2011/10/31 04:02:01 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-3.1.4-r3.ebuild,v 1.6 2011/11/26 16:50:52 floppym Exp $
EAPI="3"
WANT_AUTOMAKE="none"
@ -349,13 +349,6 @@ pkg_postinst() {
sleep 1
done
fi
if [[ "${PV}" != *_pre* ]]; then
elog
elog "If you want to help in testing of recent changes in Python, then you can use"
elog "snapshots of Python from python overlay."
elog
fi
}
pkg_postrm() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/d0_blind_id/d0_blind_id-0.3.ebuild,v 1.4 2011/10/19 20:46:18 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/d0_blind_id/d0_blind_id-0.3.ebuild,v 1.5 2011/11/27 04:43:17 radhermit Exp $
EAPI=4
inherit autotools-utils
@ -20,6 +20,8 @@ DEPEND="${RDEPEND}
DOCS=( d0_blind_id.txt )
AUTOTOOLS_IN_SOURCE_BUILD=1
src_configure() {
econf \
--enable-rijndael \

@ -0,0 +1 @@
DIST dbus-c++-0.6.0_p20111126.tar.bz2 1287009 RMD160 39367784229be625b3dd25b92fd6caafb85a220d SHA1 df62e041098245d499fb8c7cc4ba48b13be17761 SHA256 17d042818c6f1611f7441e365ea4b7bb8424cda03cd182d413b42904a6293f7f

@ -0,0 +1,36 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/dbus-c++/dbus-c++-0.6.0_p20111126.ebuild,v 1.1 2011/11/26 14:24:53 elvanor Exp $
EAPI="3"
inherit autotools
DESCRIPTION="dbus-c++ attempts to provide a C++ API for D-BUS."
HOMEPAGE="http://www.freedesktop.org/wiki/Software/dbus-c++"
SRC_URI="http://www.elvanor.net/files/gentoo/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="debug"
RDEPEND="sys-apps/dbus"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
src_prepare() {
eautoreconf
}
src_configure() {
econf $(use_enable debug ) || die
}
src_compile() {
emake || die "emake failed"
}
src_install() {
emake DESTDIR="${D}" install || die "Install failed"
}

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>elvanor@gentoo.org</email>
<name>Jean-Noël Rivasseau</name>
</maintainer>
<longdescription>
dbus-c++ attempts to provide a C++ API for D-BUS.
</longdescription>
<use>
</use>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/geoip/geoip-1.4.8.ebuild,v 1.7 2011/08/02 15:00:57 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/geoip/geoip-1.4.8.ebuild,v 1.8 2011/11/27 04:40:49 radhermit Exp $
EAPI=4
@ -28,6 +28,8 @@ RDEPEND="
)
"
AUTOTOOLS_IN_SOURCE_BUILD=1
S=${WORKDIR}/${MY_P}
src_prepare() {

@ -1,6 +1,2 @@
DIST libebml-0.7.8.tar.bz2 58121 RMD160 73e196e03df254536e20aa390acc0c2c79940054 SHA1 2b1b9a8f4bc2a5b6a709f00ec520353dcc0a1d18 SHA256 bcf51ad8f059f52523d1683f2234fe0103d747d9fe0eb49b1e9be67ee842a0f8
DIST libebml-0.8.0.tar.bz2 60039 RMD160 a4cf04486fb65adc33c2b865b95ce7860f24c1ea SHA1 d927e787e3c2cb95d206c7ad9febb599ce676d06 SHA256 9e7a0d7ffe6007b9f70f2cd3938ac9e1f15cfd724c3dd8ba837bd9c26703ee5d
DIST libebml-1.0.0.tar.bz2 60058 RMD160 932552ae239007253f0526d8bb0d506776ca14df SHA1 8b79752ddb6cadab0346b43785432c554dbf220d SHA256 72480dec736cd5df5bc9e8c3864a58d17715542c83ff1b2095dca46cc1b8b178
DIST libebml-1.2.0.tar.bz2 60532 RMD160 213b7f9e18cf71f250d83d278ebd7e27220cdebc SHA1 4107fd6496b5aae3f0e7a96cb3008341a5b224bc SHA256 e4559dc37b496ae42914da95124da968c453ee63bec7b66f62a5e6f622b1ff25
DIST libebml-1.2.1.tar.bz2 60662 RMD160 99f5fd7a610947e0828b47db0c68bfcbb8698edd SHA1 b26c39bf923429c835364ccd99ceb8cdb47a3623 SHA256 8f9e06630eab83f337d280d38eff53e41e030530015a4c423d509a20f6ea81b2
DIST libebml-1.2.2.tar.bz2 60802 RMD160 a5399b991d613c4ae3e37bfd7e0a8db33db91131 SHA1 f8ef2e044b79b6e4f777b20c0e0e2382c16fbafc SHA256 476b08c6436a96c024a53e788e7c945ce9b41cd8654165763444aa7e5245b7a5

@ -1,116 +0,0 @@
This patch fixes three issues:
- http://bugs.gentoo.org/show_bug.cgi?id=292171
respect DESTDIR, patch by Darik Horn
- don't inject random warning flags
- http://bugs.gentoo.org/show_bug.cgi?id=262973
respect LDFLAGS and LIBS
- build a dynamic lib on Darwin also (not just only a static lib), patch
by Fabian Groffen
--- make/linux/Makefile
+++ make/linux/Makefile
@@ -53,6 +53,8 @@
LIBRARY=libebml.a
LIBRARY_SO=libebml.so
LIBRARY_SO_VER=libebml.so.0
+LIBRARY_DYLIB=libebml.dylib
+LIBRARY_DYLIB_VER=libebml.0.dylib
# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -65,11 +67,11 @@
objects_so:=$(patsubst %$(EXTENSION),%.lo,$(sources))
WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -Wshadow
-COMPILEFLAGS=$(WARNINGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
+COMPILEFLAGS=$(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
DEPENDFLAGS = $(CXXFLAGS) $(INCLUDE)
ifeq (Darwin,$(shell uname -s))
-all: staticlib
+all: staticlib macholib
else
all: staticlib sharedlib
endif
@@ -78,8 +80,10 @@
sharedlib: $(LIBRARY_SO)
+macholib: $(LIBRARY_DYLIB)
+
lib:
- @echo "Use the 'staticlib', 'sharedlib' or 'all' targets."
+ @echo "Use the 'staticlib', 'sharedlib', 'macholib' or 'all' targets."
@false
# Build rules
@@ -94,15 +98,22 @@
$(RANLIB) $@
$(LIBRARY_SO): $(objects_so)
- $(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so)
+ $(CXX) $(LDFLAGS) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so) $(LIBS)
rm -f $(LIBRARY_SO)
ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)
+$(LIBRARY_DYLIB): $(objects_so)
+ $(CXX) $(LDFLAGS) -dynamiclib -install_name $(libdir)/$(LIBRARY_DYLIB_VER) -o $(LIBRARY_DYLIB_VER) $(objects_so) $(LIBS)
+ rm -f $(LIBRARY_DYLIB)
+ ln -s $(LIBRARY_DYLIB_VER) $(LIBRARY_DYLIB)
+
clean:
rm -f $(objects) $(objects_so)
rm -f $(LIBRARY)
rm -f $(LIBRARY_SO)
rm -f $(LIBRARY_SO_VER)
+ rm -f $(LIBRARY_DYLIB)
+ rm -f $(LIBRARY_DYLIB_VER)
rm -f CORE
distclean dist-clean: clean
@@ -119,29 +130,34 @@
done
ifeq (Darwin,$(shell uname -s))
-install: install_staticlib install_headers
+install: install_staticlib install_macholib install_headers
else
install: install_staticlib install_sharedlib install_headers
endif
install_headers:
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)
for i in $(INCLUDE_DIR)/*.h; do \
- $(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
+ $(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir) ; \
done
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)/c
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)/c
for i in $(INCLUDE_DIR)/c/*.h; do \
- $(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
+ $(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir)/c ; \
done
install_staticlib: $(LIBRARY)
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
- $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(DESTDIR)$(libdir)
install_sharedlib: $(LIBRARY_SO)
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
- $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
- ln -fs $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)
+ ln -fs $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)/$(LIBRARY_SO)
+
+install_macholib: $(LIBRARY_DYLIB)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_DYLIB_VER) $(DESTDIR)$(libdir)
+ ln -fs $(LIBRARY_DYLIB_VER) $(DESTDIR)$(libdir)/$(LIBRARY_DYLIB)
ifneq ($(wildcard .depend),)

@ -1,102 +0,0 @@
--- make/linux/Makefile.orig 2010-06-05 09:38:38.000000000 -0600
+++ make/linux/Makefile 2010-06-05 10:01:26.000000000 -0600
@@ -50,6 +50,8 @@
LIBRARY=libebml.a
LIBRARY_SO=libebml.so
LIBRARY_SO_VER=libebml.so.0
+LIBRARY_DYLIB=libebml.dylib
+LIBRARY_DYLIB_VER=libebml.0.dylib
# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -66,7 +68,7 @@
DEPENDFLAGS = $(CXXFLAGS) $(INCLUDE)
ifeq (Darwin,$(shell uname -s))
-all: staticlib
+all: staticlib macholib
else
all: staticlib sharedlib
endif
@@ -75,8 +77,10 @@
sharedlib: $(LIBRARY_SO)
+macholib: $(LIBRARY_DYLIB)
+
lib:
- @echo "Use the 'staticlib', 'sharedlib' or 'all' targets."
+ @echo "Use the 'staticlib', 'sharedlib', 'macholib' or 'all' targets."
@false
# Build rules
@@ -91,15 +95,22 @@
$(RANLIB) $@
$(LIBRARY_SO): $(objects_so)
- $(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so)
+ $(CXX) $(LDFLAGS) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so) $(LIBS)
rm -f $(LIBRARY_SO)
ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)
+$(LIBRARY_DYLIB): $(objects_so)
+ $(CXX) $(LDFLAGS) -dynamiclib -install_name $(libdir)/$(LIBRARY_DYLIB_VER) -o $(LIBRARY_DYLIB_VER) $(objects_so) $(LIBS)
+ rm -f $(LIBRARY_DYLIB)
+ ln -s $(LIBRARY_DYLIB_VER) $(LIBRARY_DYLIB)
+
clean:
rm -f $(objects) $(objects_so)
rm -f $(LIBRARY)
rm -f $(LIBRARY_SO)
rm -f $(LIBRARY_SO_VER)
+ rm -f $(LIBRARY_DYLIB)
+ rm -f $(LIBRARY_DYLIB_VER)
rm -f CORE
distclean dist-clean: clean
@@ -116,30 +127,34 @@
done
ifeq (Darwin,$(shell uname -s))
-install: install_staticlib install_headers
+install: install_staticlib install_macholib install_headers
else
install: install_staticlib install_sharedlib install_headers
endif
install_headers:
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)
for i in $(INCLUDE_DIR)/*.h; do \
- $(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
+ $(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir) ; \
done
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)/c
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)/c
for i in $(INCLUDE_DIR)/c/*.h; do \
- $(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
+ $(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir)/c ; \
done
install_staticlib: $(LIBRARY)
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
- $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(DESTDIR)$(libdir)
install_sharedlib: $(LIBRARY_SO)
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
- $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
- ln -fs $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
-
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)
+ ln -fs $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)/$(LIBRARY_SO)
+
+install_macholib: $(LIBRARY_DYLIB)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_DYLIB_VER) $(DESTDIR)$(libdir)
+ ln -fs $(LIBRARY_DYLIB_VER) $(DESTDIR)$(libdir)/$(LIBRARY_DYLIB)
ifneq ($(wildcard .depend),)
include .depend

@ -1,107 +0,0 @@
--- make/linux/Makefile.orig 2010-06-05 09:00:43.000000000 -0600
+++ make/linux/Makefile 2010-06-05 09:34:40.000000000 -0600
@@ -50,6 +50,8 @@
LIBRARY=libebml.a
LIBRARY_SO=libebml.so
LIBRARY_SO_VER=libebml.so.2
+LIBRARY_DYLIB=libebml.dylib
+LIBRARY_DYLIB_VER=libebml.2.dylib
# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -62,11 +64,11 @@
objects_so:=$(patsubst %$(EXTENSION),%.lo,$(sources))
WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -Wshadow
-COMPILEFLAGS=$(WARNINGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
+COMPILEFLAGS=$(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
DEPENDFLAGS = $(CXXFLAGS) $(INCLUDE)
ifeq (Darwin,$(shell uname -s))
-all: staticlib
+all: staticlib macholib
else
all: staticlib sharedlib
endif
@@ -75,8 +77,10 @@
sharedlib: $(LIBRARY_SO)
+macholib: $(LIBRARY_DYLIB)
+
lib:
- @echo "Use the 'staticlib', 'sharedlib' or 'all' targets."
+ @echo "Use the 'staticlib', 'sharedlib', 'macholib' or 'all' targets."
@false
# Build rules
@@ -91,15 +95,22 @@
$(RANLIB) $@
$(LIBRARY_SO): $(objects_so)
- $(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so)
+ $(CXX) $(LDFLAGS) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so) $(LIBS)
rm -f $(LIBRARY_SO)
ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)
+$(LIBRARY_DYLIB): $(objects_so)
+ $(CXX) $(LDFLAGS) -dynamiclib -install_name $(libdir)/$(LIBRARY_DYLIB_VER) -o $(LIBRARY_DYLIB_VER) $(objects_so) $(LIBS)
+ rm -f $(LIBRARY_DYLIB)
+ ln -s $(LIBRARY_DYLIB_VER) $(LIBRARY_DYLIB)
+
clean:
rm -f $(objects) $(objects_so)
rm -f $(LIBRARY)
rm -f $(LIBRARY_SO)
rm -f $(LIBRARY_SO_VER)
+ rm -f $(LIBRARY_DYLIB)
+ rm -f $(LIBRARY_DYLIB_VER)
rm -f CORE
distclean dist-clean: clean
@@ -116,30 +127,34 @@
done
ifeq (Darwin,$(shell uname -s))
-install: install_staticlib install_headers
+install: install_staticlib install_macholib install_headers
else
install: install_staticlib install_sharedlib install_headers
endif
install_headers:
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)
for i in $(INCLUDE_DIR)/*.h; do \
- $(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
+ $(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir) ; \
done
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)/c
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(includedir)/c
for i in $(INCLUDE_DIR)/c/*.h; do \
- $(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
+ $(INSTALL) $(INSTALL_OPTS) $$i $(DESTDIR)$(includedir)/c ; \
done
install_staticlib: $(LIBRARY)
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
- $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(DESTDIR)$(libdir)
install_sharedlib: $(LIBRARY_SO)
- $(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
- $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
- ln -fs $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
-
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)
+ ln -fs $(LIBRARY_SO_VER) $(DESTDIR)$(libdir)/$(LIBRARY_SO)
+
+install_macholib: $(LIBRARY_DYLIB)
+ $(INSTALL) $(INSTALL_DIR_OPTS) -d $(DESTDIR)$(libdir)
+ $(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_DYLIB_VER) $(DESTDIR)$(libdir)
+ ln -fs $(LIBRARY_DYLIB_VER) $(DESTDIR)$(libdir)/$(LIBRARY_DYLIB)
ifneq ($(wildcard .depend),)
include .depend

@ -1,25 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libebml/libebml-0.7.8-r1.ebuild,v 1.7 2008/09/27 16:45:45 armin76 Exp $
inherit multilib toolchain-funcs
DESCRIPTION="Extensible binary format library (kinda like XML)"
HOMEPAGE="http://www.matroska.org/"
SRC_URI="http://www.bunkus.org/videotools/mkvtoolnix/sources/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd"
IUSE=""
S="${S}/make/linux"
src_compile() {
emake CC="$(tc-getCC)" CXX="$(tc-getCXX)" || die "emake failed"
}
src_install() {
einstall libdir="${D}/usr/$(get_libdir)" || die "make install failed"
dodoc "${WORKDIR}/${P}/ChangeLog"
}

@ -1,42 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libebml/libebml-0.7.8-r2.ebuild,v 1.1 2009/11/13 18:55:08 grobian Exp $
EAPI=2
inherit eutils multilib toolchain-funcs
DESCRIPTION="Extensible binary format library (kinda like XML)"
HOMEPAGE="http://www.matroska.org/"
SRC_URI="http://www.bunkus.org/videotools/mkvtoolnix/sources/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
S="${S}/make/linux"
src_prepare() {
epatch "${FILESDIR}"/${P}-makefile-fixup.patch
}
src_compile() {
# keep the prefix in here to make sure the binary is built with a correct
# install_name on Darwin
emake \
prefix="${EPREFIX}/usr" \
CC="$(tc-getCC)" \
CXX="$(tc-getCXX)" \
|| die "emake failed"
}
src_install() {
emake \
DESTDIR="${D}" \
prefix="${EPREFIX}/usr" \
libdir="${EPREFIX}/usr/$(get_libdir)" \
install || die "emake install failed"
dodoc "${WORKDIR}/${P}/ChangeLog"
}

@ -1,42 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libebml/libebml-0.8.0.ebuild,v 1.4 2010/10/15 21:38:00 ranger Exp $
EAPI=2
inherit eutils multilib toolchain-funcs
DESCRIPTION="Extensible binary format library (kinda like XML)"
HOMEPAGE="http://www.matroska.org/"
SRC_URI="http://www.bunkus.org/videotools/mkvtoolnix/sources/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
S="${S}/make/linux"
src_prepare() {
epatch "${FILESDIR}"/${P}-makefile-fixup.patch
}
src_compile() {
# keep the prefix in here to make sure the binary is built with a correct
# install_name on Darwin
emake \
prefix="${EPREFIX}/usr" \
CC="$(tc-getCC)" \
CXX="$(tc-getCXX)" \
|| die "emake failed"
}
src_install() {
emake \
DESTDIR="${D}" \
prefix="${EPREFIX}/usr" \
libdir="${EPREFIX}/usr/$(get_libdir)" \
install || die "emake install failed"
dodoc "${WORKDIR}/${P}/ChangeLog"
}

@ -1,42 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libebml/libebml-1.0.0.ebuild,v 1.4 2011/05/28 11:46:47 ranger Exp $
EAPI=2
inherit eutils multilib toolchain-funcs
DESCRIPTION="Extensible binary format library (kinda like XML)"
HOMEPAGE="http://www.matroska.org/"
SRC_URI="http://www.bunkus.org/videotools/mkvtoolnix/sources/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
S="${S}/make/linux"
src_prepare() {
epatch "${FILESDIR}"/${P}-makefile-fixup.patch
}
src_compile() {
# keep the prefix in here to make sure the binary is built with a correct
# install_name on Darwin
emake \
prefix="${EPREFIX}/usr" \
CC="$(tc-getCC)" \
CXX="$(tc-getCXX)" \
|| die "emake failed"
}
src_install() {
emake \
DESTDIR="${D}" \
prefix="${EPREFIX}/usr" \
libdir="${EPREFIX}/usr/$(get_libdir)" \
install || die "emake install failed"
dodoc "${WORKDIR}/${P}/ChangeLog"
}

@ -1,45 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libebml/libebml-1.2.0.ebuild,v 1.2 2011/02/02 03:40:30 radhermit Exp $
EAPI=2
inherit eutils multilib toolchain-funcs
DESCRIPTION="Extensible binary format library (kinda like XML)"
HOMEPAGE="http://www.matroska.org/"
SRC_URI="http://www.bunkus.org/videotools/mkvtoolnix/sources/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
DEPEND=""
RDEPEND=""
S="${WORKDIR}/${P}/make/linux"
src_prepare() {
epatch "${FILESDIR}"/${P}-makefile-fixup.patch
}
src_compile() {
# keep the prefix in here to make sure the binary is built with a correct
# install_name on Darwin
emake \
prefix="${EPREFIX}/usr" \
CC="$(tc-getCC)" \
CXX="$(tc-getCXX)" \
|| die "emake failed"
}
src_install() {
emake \
DESTDIR="${D}" \
prefix="${EPREFIX}/usr" \
libdir="${EPREFIX}/usr/$(get_libdir)" \
install || die "emake install failed"
dodoc "${WORKDIR}/${P}/ChangeLog"
}

@ -1 +1,2 @@
DIST libee-0.3.1.tar.gz 350704 RMD160 70ce0500891a92e3668a85de7c0c0cbcd1437c1f SHA1 cd282dbb3c68f90196948111ebfe49745f1c12b7 SHA256 7c665b786cf6501378d0a1a64107c82441df9607fcc5340893aa8b82ff6ceaee
DIST libee-0.3.2.tar.gz 353750 RMD160 22f629ce2aa57fb1cb128a017a3633a565379bed SHA1 1d4b4bbefc153c169d00e896019f19f5a99f1bb0 SHA256 4e19bf297fb76f18fef773c651767152ebf65ecd4a1f4b06fe1c5f117fa4f81a

@ -0,0 +1,35 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libee/libee-0.3.2.ebuild,v 1.1 2011/11/26 19:33:47 maksbotan Exp $
EAPI=4
AUTOTOOLS_IN_SOURCE_BUILD=1
inherit autotools-utils
DESCRIPTION="An Event Expression Library inspired by CEE"
HOMEPAGE="http://www.libee.org"
SRC_URI="http://www.libee.org/files/download/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~amd64-linux ~x86"
IUSE="debug static-libs"
DEPEND="dev-libs/libxml2
dev-libs/libestr"
RDEPEND="${DEPEND}"
DOCS=(INSTALL ChangeLog)
src_configure() {
local myeconfargs=(
$(use_enable debug)
--enable-testbench
)
autotools-utils_src_configure
}
src_compile() {
emake -j1
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libestr/libestr-0.1.2.ebuild,v 1.1 2011/08/02 14:21:11 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libestr/libestr-0.1.2.ebuild,v 1.2 2011/11/26 17:20:02 hwoarang Exp $
EAPI=4
@ -11,13 +11,13 @@ SRC_URI="http://libestr.adiscon.com/files/download/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug"
IUSE="debug static-libs"
DEPEND=""
RDEPEND="${DEPEND}"
src_configure() {
econf $(use_enable debug)
econf $(use_enable debug) $(use_enable static-libs static)
}
src_install() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libexplain/libexplain-0.49.ebuild,v 1.1 2011/11/10 19:32:13 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libexplain/libexplain-0.49.ebuild,v 1.2 2011/11/27 03:52:25 radhermit Exp $
EAPI=4
inherit autotools-utils eutils
@ -26,6 +26,8 @@ S="${WORKDIR}"/${MY_P}
DOCS=( README )
AUTOTOOLS_IN_SOURCE_BUILD=1
src_prepare() {
# Portage incompatible test
sed \

@ -0,0 +1,90 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libindicate/libindicate-0.6.1-r201.ebuild,v 1.1 2011/11/26 18:10:45 ssuominen Exp $
EAPI=4
PYTHON_DEPEND="2:2.7"
inherit autotools eutils python
PV_vala_version=0.14
DESCRIPTION="A library to raise flags on DBus for other components of the desktop to pick up and visualize"
HOMEPAGE="http://launchpad.net/libindicate"
SRC_URI="http://launchpad.net/${PN}/${PV%.*}/${PV}/+download/${P}.tar.gz"
LICENSE="LGPL-2.1 LGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+introspection"
# note: pull in SLOT="3" to install headers and libs (see rm -rf in src_install)
RDEPEND=">=dev-libs/dbus-glib-0.76
>=dev-libs/glib-2.18:2
>=dev-libs/libdbusmenu-0.3.97[introspection?]
dev-libs/libxml2:2
dev-python/pygtk:2
>=x11-libs/gtk+-2.12:2
${CATEGORY}/${PN}:3
introspection? ( dev-libs/gobject-introspection )"
DEPEND="${RDEPEND}
gnome-base/gnome-common
app-text/gnome-doc-utils
dev-util/gtk-doc-am
dev-util/pkgconfig
dev-lang/vala:${PV_vala_version}[vapigen]
!<${CATEGORY}/${PN}-0.6.1-r201"
RESTRICT="test" # for -no-mono.patch
pkg_setup() {
python_set_active_version 2
python_pkg_setup
}
src_prepare() {
epatch "${FILESDIR}"/${P}-no-mono.patch
sed -i -e 's:-Werror::' {examples,libindicate,libindicate-gtk}/Makefile.{am,in} || die
# for slotted dev-lang/vala
sed -i -e "s:vapigen:vapigen-${PV_vala_version}:" configure.ac || die
eautoreconf
rm -f py-compile
ln -s $(type -P true) py-compile
}
src_configure() {
econf \
--disable-static \
$(use_enable introspection) \
--with-gtk=2
}
src_install() {
emake DESTDIR="${D}" install
find "${ED}"usr -name '*.la' -exec rm -f {} +
# note: purposely not installing documentation and colliding files to
# support SLOT="3"
rm -rf \
"${ED}"usr/include/${PN}-0.6/${PN}* \
"${ED}"usr/share/doc \
"${ED}"usr/share/gir-1.0/Indicate-0.6.gir \
"${ED}"usr/share/gtk-doc \
"${ED}"usr/share/vala/vapi/Indicate-0.6.vapi \
"${ED}"usr/lib*/girepository-1.0/Indicate-0.6.typelib \
"${ED}"usr/lib*/${PN}.so* \
"${ED}"usr/lib*/pkgconfig/indicate-0.6.pc
}
pkg_postinst() {
python_mod_optimize indicate
}
pkg_postrm() {
python_mod_cleanup indicate
}

@ -1,21 +1,18 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libindicate/libindicate-0.6.1-r200.ebuild,v 1.1 2011/11/19 17:13:52 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libindicate/libindicate-0.6.1-r300.ebuild,v 1.1 2011/11/26 18:10:45 ssuominen Exp $
EAPI=4
inherit autotools eutils
PYTHON_DEPEND="2:2.7"
inherit autotools eutils python
__vala_version=0.14
PV_vala_version=0.14
DESCRIPTION="A library to raise flags on DBus for other components of the desktop to pick up and visualize"
HOMEPAGE="http://launchpad.net/libindicate"
SRC_URI="http://launchpad.net/${PN}/${PV%.*}/${PV}/+download/${P}.tar.gz"
LICENSE="LGPL-2.1 LGPL-3"
SLOT="0"
SLOT="3"
KEYWORDS="~amd64 ~x86"
IUSE="+introspection"
@ -23,45 +20,39 @@ RDEPEND=">=dev-libs/dbus-glib-0.76
>=dev-libs/glib-2.18:2
>=dev-libs/libdbusmenu-0.3.97[introspection?]
dev-libs/libxml2:2
dev-python/pygtk:2
>=x11-libs/gtk+-2.12:2
x11-libs/gtk+:3
introspection? ( dev-libs/gobject-introspection )"
DEPEND="${RDEPEND}
gnome-base/gnome-common
app-text/gnome-doc-utils
dev-util/gtk-doc-am
dev-util/pkgconfig
dev-lang/vala:${__vala_version}[vapigen]"
dev-lang/vala:${PV_vala_version}[vapigen]
!<${CATEGORY}/${PN}-0.6.1-r201"
RESTRICT="test" # for -no-mono.patch
DOCS=( AUTHORS ChangeLog )
pkg_setup() {
python_set_active_version 2
python_pkg_setup
}
src_prepare() {
epatch "${FILESDIR}"/${P}-no-mono.patch
sed -i -e 's:-Werror::' {examples,libindicate,libindicate-gtk}/Makefile.{am,in} || die
# for slotted dev-lang/vala
sed -i -e "s:vapigen:vapigen-${__vala_version}:" configure.ac || die
sed -i -e "s:vapigen:vapigen-${PV_vala_version}:" configure.ac || die
eautoreconf
rm -f py-compile
ln -s $(type -P true) py-compile
}
src_configure() {
# note: --disable-python to avoid automagic gtk+-2.0 usage
econf \
--docdir=/usr/share/doc/${PF} \
--disable-static \
$(use_enable introspection) \
--with-gtk=2 \
--disable-python \
--with-gtk=3 \
--with-html-dir=/usr/share/doc/${PF}
}
@ -69,11 +60,3 @@ src_install() {
default
find "${ED}"usr -name '*.la' -exec rm -f {} +
}
pkg_postinst() {
python_mod_optimize indicate
}
pkg_postrm() {
python_mod_cleanup indicate
}

@ -0,0 +1,44 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libindicator/libindicator-0.4.1-r201.ebuild,v 1.1 2011/11/26 16:25:05 ssuominen Exp $
EAPI=4
DESCRIPTION="A set of symbols and convience functions that all indicators would like to use"
HOMEPAGE="http://launchpad.net/libindicator"
SRC_URI="http://launchpad.net/${PN}/${PV%.*}/${PV}/+download/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
# note: pull in SLOT="3" to install headers and libs (see rm -rf in src_install)
RDEPEND=">=dev-libs/glib-2.22
>=x11-libs/gtk+-2.18:2
${CATEGORY}/${PN}:3"
DEPEND="${RDEPEND}
dev-util/pkgconfig
!<${CATEGORY}/${PN}-0.4.1-r201"
src_prepare() {
sed -i -e 's:-Werror::' {libindicator,tests,tools}/Makefile.{am,in} || die
}
src_configure() {
econf \
--disable-static \
--with-gtk=2
}
src_install() {
emake -j1 DESTDIR="${D}" install
# note: purposely not installing documentation and colliding files to
# support SLOT="3"
rm -rf \
"${ED}"usr/share/${PN} \
"${ED}"usr/include/${PN}-0.4/${PN} \
"${ED}"usr/lib*/*.la \
"${ED}"usr/lib*/libdummy-indicator-*
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libindicator/libindicator-0.4.1-r200.ebuild,v 1.1 2011/11/19 14:13:47 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libindicator/libindicator-0.4.1-r300.ebuild,v 1.1 2011/11/26 16:25:05 ssuominen Exp $
EAPI=4
@ -9,14 +9,15 @@ HOMEPAGE="http://launchpad.net/libindicator"
SRC_URI="http://launchpad.net/${PN}/${PV%.*}/${PV}/+download/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
SLOT="3"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND=">=dev-libs/glib-2.22
>=x11-libs/gtk+-2.18:2"
x11-libs/gtk+:3"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
dev-util/pkgconfig
!<${CATEGORY}/${PN}-0.4.1-r201"
src_prepare() {
sed -i -e 's:-Werror::' {libindicator,tests,tools}/Makefile.{am,in} || die
@ -25,7 +26,7 @@ src_prepare() {
src_configure() {
econf \
--disable-static \
--with-gtk=2
--with-gtk=3
}
src_install() {

@ -1 +1,2 @@
DIST liblognorm-0.3.1.tar.gz 321516 RMD160 bf4ac1a7a3721ea44defa9c1ae536632faff2475 SHA1 6ca9a87964aeb1b602cbec8b2ef7172965c9155a SHA256 e48820023061d578d578583eedcaab1cf832077b10ed3f51fbefb3b638f5b0bb
DIST liblognorm-0.3.2.tar.gz 326149 RMD160 6f1cd3f99d68d634309daa18a9694c3877d27d88 SHA1 8ff7c1c34dcb2703b9724abc5d4079f9e7e29e93 SHA256 aa7952f8a5256c68d1c77f26dd9ee504ff5f3da8e24f4817c50c9ddde0f3c4d3

@ -0,0 +1,35 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/liblognorm/liblognorm-0.3.2.ebuild,v 1.1 2011/11/26 19:37:34 maksbotan Exp $
EAPI=4
AUTOTOOLS_IN_SOURCE_BUILD=1
inherit autotools-utils
DESCRIPTION="Fast samples-based log normalization library"
HOMEPAGE="http://www.liblognorm.com"
SRC_URI="http://www.liblognorm.com/files/download/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~amd64-linux ~x86"
IUSE="debug static-libs"
DEPEND="
dev-libs/libestr
dev-libs/libee"
RDEPEND="${DEPEND}"
src_configure() {
local myeconfargs=(
$(use_enable debug)
)
autotools-utils_src_configure
}
src_compile() {
emake -j1
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libnl/libnl-3.2.3.ebuild,v 1.3 2011/11/17 16:52:22 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libnl/libnl-3.2.3.ebuild,v 1.4 2011/11/27 03:26:58 radhermit Exp $
EAPI="4"
@ -14,6 +14,8 @@ SLOT="3"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~ia64-linux ~x86-linux"
IUSE="static-libs utils"
AUTOTOOLS_IN_SOURCE_BUILD="1"
src_prepare() {
epatch \
"${FILESDIR}"/${PN}-1.1-vlan-header.patch

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libtasn1/libtasn1-2.10.ebuild,v 1.1 2011/10/25 23:07:45 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libtasn1/libtasn1-2.10.ebuild,v 1.2 2011/11/27 03:54:49 radhermit Exp $
EAPI=4
@ -20,6 +20,8 @@ DEPEND=">=dev-lang/perl-5.6
DOCS=( AUTHORS ChangeLog NEWS README THANKS )
AUTOTOOLS_IN_SOURCE_BUILD=1
src_configure(){
local myconf
[[ "${VALGRIND_TESTS}" == "0" ]] && myconf+=" --disable-valgrind-tests"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libtommath/libtommath-0.42.0-r1.ebuild,v 1.1 2011/08/02 05:18:40 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libtommath/libtommath-0.42.0-r1.ebuild,v 1.2 2011/11/27 03:58:24 radhermit Exp $
EAPI=4
@ -17,6 +17,8 @@ IUSE="doc examples static-libs"
DEPEND="sys-devel/libtool"
AUTOTOOLS_IN_SOURCE_BUILD=1
src_prepare() {
epatch "${FILESDIR}"/${P}-makefile.patch

@ -2,3 +2,4 @@ DIST shared-desktop-ontologies-0.4.tar.bz2 89944 RMD160 a2d6fa7a64bd02ef938db13a
DIST shared-desktop-ontologies-0.5.tar.bz2 90155 RMD160 4ed3398d5715ecc675d8e651a7c4bfac64414425 SHA1 672e10ba113314083b43702d9456a9c92e4f501f SHA256 f904792a4a9f0b5a5a6c7e5e09f4ebc741d617b69bff7d5e1e23903096d02fa8
DIST shared-desktop-ontologies-0.7.0.tar.bz2 100306 RMD160 7598898f479a9fead38b1041aa60fa08b3a849ee SHA1 2e4dd2ecd24c5f0432b3a4263aeddff74663f266 SHA256 6bc32f40794d6947872e5869c7000c650ef8eec68bc7917fffd60c7593569025
DIST shared-desktop-ontologies-0.7.1.tar.bz2 100337 RMD160 ae938751b95d53cd0e6bf369addb1a20e41e7511 SHA1 14c6998effdfe880ec8adbdf47fe010f62af4037 SHA256 1e5e0201cb3443c5740459c22b9938c14f2dfd7f74d0e43d33162c927b5568ac
DIST shared-desktop-ontologies-0.8.1.tar.bz2 641474 RMD160 934bbdabcbcff14f017b120be65ff0da1fe7b45d SHA1 cc84cbe4abf9c5fdd75649f6faef7dee5b48e4f0 SHA256 031aef77517c4c951965116c1e34f9dd115aa40ecc0e2ec57e26172a1d84d970

@ -0,0 +1,25 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/shared-desktop-ontologies/shared-desktop-ontologies-0.8.1.ebuild,v 1.1 2011/11/26 21:03:03 dilfridge Exp $
EAPI=4
if [[ ${PV} == *9999 ]]; then
SCM_ECLASS="git-2"
fi
EGIT_REPO_URI="git://oscaf.git.sourceforge.net/gitroot/oscaf/shared-desktop-ontologies"
inherit cmake-utils ${SCM_ECLASS}
unset SCM_ECLASS
DESCRIPTION="Shared OSCAF desktop ontologies"
HOMEPAGE="http://sourceforge.net/projects/oscaf"
if [[ ${PV} != *9999 ]]; then
SRC_URI="mirror://sourceforge/oscaf/${PN}/${P}.tar.bz2"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
fi
LICENSE="|| ( BSD CCPL-Attribution-ShareAlike-3.0 )"
SLOT="0"
IUSE=""
DOCS=(AUTHORS ChangeLog README)

@ -1 +1,2 @@
DIST uthash-1.9.4.tar.bz2 353534 RMD160 06c3ad4855eba2635f8cda2763c05c52921e6a62 SHA1 8b257ffc5a2607f04d0b93457afb7ef1e573a13b SHA256 7370afd69f755bc42927dde528995063d2ce00d0399af8bbfe337109571e8784
DIST uthash-1.9.5.tar.bz2 354274 RMD160 63e2e68abad9dd1597c8cdf1702f3d27fddbbbce SHA1 3e4f6637dd4ce616a3773c97c7c8329813b3f374 SHA256 9cc91093ed33c161a72c707752cdf12dca6d957bf4901ecb4470d52034570e6a

@ -0,0 +1,30 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/uthash/uthash-1.9.5.ebuild,v 1.1 2011/11/26 16:32:08 hwoarang Exp $
inherit toolchain-funcs
DESCRIPTION="An easy-to-use hash implementation for C programmers"
HOMEPAGE="http://uthash.sourceforge.net"
SRC_URI="mirror://sourceforge/uthash/${P}.tar.bz2"
LICENSE="BSD-1"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="test"
DEPEND="test? ( dev-lang/perl )"
RDEPEND=""
src_test() {
cd tests
sed -i "/CFLAGS/s/-O3/${CFLAGS}/" Makefile || die "sed cflags failed"
emake CC="$(tc-getCC)" || die "emake failed"
}
src_install() {
insinto /usr/include
doins src/*.h || die "doins failed"
dodoc doc/txt/{ChangeLog,userguide,ut*}.txt || die "dodoc failed"
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/boto/boto-2.0.ebuild,v 1.1 2011/07/20 05:31:43 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/boto/boto-2.0.ebuild,v 1.2 2011/11/26 16:34:00 hwoarang Exp $
EAPI="3"
PYTHON_DEPEND="2:2.5"
@ -15,7 +15,7 @@ SRC_URI="http://boto.googlecode.com/files/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-linux ~ppc-macos ~x86-macos"
KEYWORDS="amd64 ~ppc ~sparc ~x86 ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
DEPEND="dev-python/setuptools"

@ -1,13 +1,13 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/fuse-python/fuse-python-0.2.1.ebuild,v 1.1 2010/04/14 23:05:27 sping Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/fuse-python/fuse-python-0.2.1.ebuild,v 1.2 2011/11/26 16:40:08 hwoarang Exp $
EAPI="2"
SUPPORT_PYTHON_ABIS="1"
inherit eutils distutils
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
DESCRIPTION="Python FUSE bindings"
HOMEPAGE="http://fuse.sourceforge.net/wiki/index.php/FusePython"

@ -1,23 +1,35 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/netaddr/netaddr-0.7.6.ebuild,v 1.1 2011/11/04 21:23:26 maksbotan Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/netaddr/netaddr-0.7.6.ebuild,v 1.2 2011/11/26 16:28:56 hwoarang Exp $
EAPI=4
EAPI="4"
SUPPORT_PYTHON_ABIS="1"
PYTHON_TESTS_FAILURES_TOLERANT_ABIS="*-jython"
SUPPORT_PYTHON_ABIS=1
PYTHON_DEPEND="2:2.6"
DISTUTILS_USE_SEPARATE_SOURCE_DIRECTORIES=1
inherit distutils
inherit python distutils
DESCRIPTION="Network address representation and manipulation library."
HOMEPAGE="http://github.com/drkjam/netaddr"
DESCRIPTION="Network address representation and manipulation library"
HOMEPAGE="https://github.com/drkjam/netaddr http://pypi.python.org/pypi/netaddr"
SRC_URI="https://github.com/downloads/drkjam/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~x86 ~amd64"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
RDEPEND="${DEPEND}"
RDEPEND=""
src_prepare() {
distutils_src_prepare
# https://github.com/drkjam/netaddr/issues/20
sed -e "s/AddrFormatError/netaddr.core.AddrFormatError/" -i netaddr/tests/3.x/ip/{platform_linux2.txt,platform_win32.txt}
}
src_test() {
testing() {
PYTHONPATH="build-${PYTHON_ABI}/lib" "$(PYTHON)" netaddr/tests/__init__.py
}
python_execute_function testing
}

@ -1 +1 @@
DIST pupynere-1.0.13.tar.gz 8067 RMD160 9f308a1462d74f00f6928520cea53b07b02fc12b SHA1 8aeb381995f5a2329d152e9a96cc2b371e5b3a62 SHA256 5d386958d72e776feffa8fa01e8444b788810b12834baaa57327b6d40eb67ee2
DIST pupynere-1.0.15.tar.gz 8566 RMD160 9a1dec9c2dd9e43fb2f2becba1ae41346be98407 SHA1 8cbe42759de9b3a7531f85f00f21f4c9decf2c00 SHA256 b759b501406c950b576de1880f1dc080e05536ae42299267093e2379dac9086d

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pupynere/pupynere-1.0.13.ebuild,v 1.3 2010/12/26 15:09:18 arfrever Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/pupynere/pupynere-1.0.15.ebuild,v 1.1 2011/11/27 03:56:41 bicatali Exp $
EAPI="3"
PYTHON_DEPEND="2"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pyparted/pyparted-3.8-r1.ebuild,v 1.7 2011/10/15 23:26:01 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/pyparted/pyparted-3.8-r1.ebuild,v 1.8 2011/11/26 18:17:28 armin76 Exp $
EAPI="3"
PYTHON_DEPEND="2:2.7"
@ -16,7 +16,7 @@ SRC_URI="https://fedorahosted.org/releases/p/y/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="alpha amd64 hppa ia64 ~ppc ~ppc64 sparc x86"
IUSE="test"
CDEPEND="

@ -1,2 +1,2 @@
DIST elfix-0.2.5.tar.gz 126266 RMD160 62fd5770dd6364c7282e5aa8b833224dc9f04315 SHA1 396852f0fc7fd403bd6ec4c543b65e73ec98db85 SHA256 58eff8d094af2301ff6dfc0d41ca55f8d3a4a0ef19c8ab47733300ad29b8176b
DIST elfix-0.3.0.tar.gz 120749 RMD160 69c58dca844f5d73c172b9e5fb4cac29094f4d4b SHA1 26f34c15f7a4525cc4889671b16c0f9f0c9dd7de SHA256 03eafae6ddadc13942e3e4287220486d7d9d560d4e2d4244a6c98b50d0322477
DIST elfix-0.3.2.tar.gz 124040 RMD160 5db202c06877924ab871dc66d9ca9256db1ea542 SHA1 b371dc8dad4c19ec303fdc9d662136a96aacc38f SHA256 71a738eea3c2f3132e243425ff694073e89ef3c8395bea79c5ee54ba51822713
DIST elfix-0.4.0.tar.gz 130476 RMD160 e5f1e21cc7e629b830044f5f21d7a81c0caa5e6b SHA1 fa77882118db1d92022d14108bc9636bf9b8cb93 SHA256 38348ce5205700b5deb0141cb31a1d99edf4e125218fc7535f22664da478ceb3

@ -6,4 +6,7 @@
<email>blueness@gentoo.org</email>
<name>Anthony G. Basile</name>
</maintainer>
<use>
<flag name='xtpax'>Enable XT_PAX and prefer it to PT_PAX.</flag>
</use>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pypax/pypax-0.2.5.ebuild,v 1.1 2011/10/17 22:15:10 blueness Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/pypax/pypax-0.3.2.ebuild,v 1.1 2011/11/27 02:37:47 blueness Exp $
EAPI=3
@ -21,5 +21,6 @@ KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="dev-libs/elfutils
>=sys-devel/binutils-2.14.90.0.8-r1"
sys-devel/binutils
sys-apps/attr"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pypax/pypax-0.3.0.ebuild,v 1.1 2011/10/23 16:04:40 blueness Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/pypax/pypax-0.4.0.ebuild,v 1.1 2011/11/27 02:33:28 blueness Exp $
EAPI=3
@ -18,8 +18,15 @@ S="${WORKDIR}/elfix-${PV}/scripts"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
IUSE="xtpax"
DEPEND="dev-libs/elfutils
>=sys-devel/binutils-2.14.90.0.8-r1"
sys-devel/binutils
xtpax? ( sys-apps/attr )"
RDEPEND=""
src_compile() {
unset XATTR
use xtpax && export XATTR="yes"
distutils_src_compile
}

@ -1,35 +1,39 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-dateutil/python-dateutil-1.5.ebuild,v 1.6 2011/06/07 11:22:55 naota Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-dateutil/python-dateutil-1.5.ebuild,v 1.7 2011/11/26 16:26:21 hwoarang Exp $
EAPI="3"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"
PYTHON_TESTS_FAILURES_TOLERANT_ABIS="*-jython"
inherit distutils eutils
inherit distutils
DESCRIPTION="dateutil datetime math and logic library for python"
DESCRIPTION="Extensions to the standard Python datetime module"
HOMEPAGE="http://labix.org/python-dateutil http://pypi.python.org/pypi/python-dateutil"
SRC_URI="http://labix.org/download/python-dateutil/${P}.tar.gz"
LICENSE="PSF-2.3"
SLOT="0"
LICENSE="PSF-2"
SLOT="python-2"
KEYWORDS="amd64 ia64 ppc ~ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE=""
DOCS="NEWS README"
IUSE="examples"
DEPEND="dev-python/setuptools"
RDEPEND="sys-libs/timezone-data"
RESTRICT_PYTHON_ABIS="3.*"
DEPEND="${RDEPEND}
dev-python/setuptools"
DOCS="NEWS README"
PYTHON_MODNAME="dateutil"
src_prepare() {
epatch "${FILESDIR}/${PN}-1.4.1-locale.patch"
distutils_src_prepare
# Use zoneinfo in /usr/share/zoneinfo.
sed -e "s/zoneinfo.gettz/gettz/g" -i test.py || die "sed failed"
# Fix parsing of date in non-English locales.
sed -e 's/commands.getoutput("date")/commands.getoutput("LC_ALL=C date")/' -i example.py
}
src_test() {
@ -41,7 +45,14 @@ src_test() {
src_install() {
distutils_src_install
insinto /usr/share/doc/${PF}/examples
doins example.py sandbox/*.py
rm -f "${ED}"usr/lib*/python*/site-packages/dateutil/zoneinfo/*.tar.*
delete_zoneinfo() {
rm -f "${ED}$(python_get_sitedir)/dateutil/zoneinfo/"*.tar.*
}
python_execute_function -q delete_zoneinfo
if use examples; then
insinto /usr/share/doc/${PF}/examples
doins example.py sandbox/*.py
fi
}

@ -1 +1,2 @@
DIST Gauche-gtk-0.4.1.tgz 324945 RMD160 8ee51c2444505dfe6bc70d18f244c510f0c2bcfc SHA1 46a8380f318b4acfc012c2c861de21cbdf4ef157 SHA256 5f600214b04ce4090ca6aa63f9344a0c6ec9a2462e4106b53a7a44514d4a73db
DIST Gauche-gtk-0.6_pre1.tar.gz 203261 RMD160 81e197a79cc27cb456aad4eb221e99bb1c7f3992 SHA1 5662e958711dbb2f62ba50cbb5625e17723e27fb SHA256 cfe38221217519d3e6fe9bca6168938abe4801ec1a79a73f2f1b441cdc47dc0b

@ -0,0 +1,71 @@
--- a/src/gtk-lib.hints
+++ b/src/gtk-lib.hints
@@ -527,8 +527,10 @@ SCM_RETURN(Scm_Values2(Scm_MakeInteger(n_properties), h));"
(add-mixin! "Scm_GtkEditableClass" "Scm_GtkCellEditableClass"))
;; we can't free the return value of gtk_entry_get_text.
-(define-cproc gtk-entry-get-text (entry::<gtk-entry>)
- "SCM_RETURN(SCM_MAKE_STR_COPYING(gtk_entry_get_text(entry)));")
+(define-cproc-fix gtk-entry-get-text
+ (fix-arguments! '(entry::<gtk-entry>))
+ (fix-body!
+ "SCM_RETURN(SCM_MAKE_STR_COPYING(gtk_entry_get_text(entry)));"))
;;==================================================================
;; gtkfilesel.h
@@ -539,8 +541,10 @@ SCM_RETURN(Scm_Values2(Scm_MakeInteger(n_properties), h));"
;; gtk_file_selection_get_filename returns mbstr encoded by the current
;; locale. We canonicalize it to utf8. The Scheme glue code converts
;; it to Gauche's internal encoding.
-(define-cproc gtk-file-selection-get-filename (sel::<gtk-file-selection>)
- "const gchar *fn_mb = gtk_file_selection_get_filename(sel);
+(define-cproc-fix gtk-file-selection-get-filename
+ (fix-arguments! '(sel::<gtk-file-selection>))
+ (fix-body!
+ "const gchar *fn_mb = gtk_file_selection_get_filename(sel);
gchar *fn_utf8 = g_filename_to_utf8(fn_mb, -1, NULL, NULL, NULL);
if (fn_utf8 == NULL) {
Scm_Error(\"got a filename including multibyte chars which can't be converted to UTF8: %s\", fn_mb);
@@ -549,7 +553,7 @@ SCM_RETURN(Scm_Values2(Scm_MakeInteger(n_properties), h));"
SCM_RETURN(SCM_MAKE_STR_COPYING(fn_utf8));
#else
SCM_RETURN(Scm_MakeString(fn_utf8, -1, -1, SCM_MAKSTR_COPYING|SCM_MAKSTR_INCOMPLETE));
-#endif")
+#endif"))
(define-cproc gtk-file-selection-get-selections (sel::<gtk-file-selection>)
"gchar **fns_mb = gtk_file_selection_get_selections(sel);
@@ -609,10 +613,14 @@ SCM_RETURN(Scm_Values2(Scm_MakeInteger(n_properties), h));"
(input-file "gtklabel.h")
;; Memory is owned by the widget so we don't need to free them.
-(define-cproc gtk-label-get-text (label::<gtk-label>)
- "SCM_RETURN(SCM_MAKE_STR_COPYING(gtk_label_get_text(label)));")
-(define-cproc gtk-label-get-label (label::<gtk-label>)
- "SCM_RETURN(SCM_MAKE_STR_COPYING(gtk_label_get_label(label)));")
+(define-cproc-fix gtk-label-get-text
+ (fix-arguments! '(label::<gtk-label>))
+ (fix-body!
+ "SCM_RETURN(SCM_MAKE_STR_COPYING(gtk_label_get_text(label)));"))
+(define-cproc-fix gtk-label-get-label
+ (fix-arguments! '(label::<gtk-label>))
+ (fix-body!
+ "SCM_RETURN(SCM_MAKE_STR_COPYING(gtk_label_get_label(label)));"))
(define-cproc-fix gtk-label-get-seleciton-bounds
(fix-arguments! '(label::<gtk-label>))
@@ -1121,9 +1129,11 @@ return SCM_MAKE_STR_COPYING((char*)string);"))
(input-file "gtkprogressbar.h")
-(define-cproc gtk-progress-bar-get-text (pbar::<gtk-progress-bar>)
- "gchar *g = gtk_progress_bar_get_text(pbar);
- SCM_RETURN(SCM_MAKE_STR_COPYING_SAFELY(g));")
+(define-cproc-fix gtk-progress-bar-get-text
+ (fix-arguments! '(pbar::<gtk-progress-bar>))
+ (fix-body!
+ "gchar *g = gtk_progress_bar_get_text(pbar);
+ SCM_RETURN(SCM_MAKE_STR_COPYING_SAFELY(g));"))
;;==================================================================
;; gtkradiobutton

@ -0,0 +1,11 @@
--- a/lib/h2s/parse.scm
+++ b/lib/h2s/parse.scm
@@ -329,6 +329,8 @@
(#/^\}\s*([\w_]+)/ (#f name) (make-enum name (reverse enums))) ; ----->
;; empty line:
(#/^\s*$/ () (loop (read-line) enums))
+ ;; preprocessor directive:
+ (#/^\s*#\s*\w+/ () (loop (read-line) enums))
;;
(test has-comment? (skip-comment line (cut loop <> enums) err-eof)) ; what if?: new_value, /* boring comment*/
(#/\s+([\w_]+),?/ (#f enum)

@ -0,0 +1,23 @@
--- a/src/h2s-gtk.scm
+++ b/src/h2s-gtk.scm
@@ -50,6 +50,11 @@
(define pango-directory
(find-header-dir #`"pango-,|pango-version|/pango/pango.h"
*header-search-paths*))
+(define gdk-pixbuf-directory
+ (guard (e [(<error> e)
+ gtk-directory])
+ (find-header-dir #`"gdk-pixbuf-,|gtk-version|/gdk-pixbuf/gdk-pixbuf.h"
+ *header-search-paths* )))
(define (parse-gdk)
@@ -64,7 +69,7 @@
(call-with-input-file "PANGOFILES" port->string-list)))
(define (parse-gdk-pixbuf)
- (parse-headers #`",|gtk-directory|/gdk-pixbuf"
+ (parse-headers #`",|gdk-pixbuf-directory|/gdk-pixbuf"
(call-with-input-file "GDKPIXBUFFILES" port->string-list)))
;; defaults for the gauche-gtk package:

@ -0,0 +1,81 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-scheme/gauche-gtk/gauche-gtk-0.6_pre1.ebuild,v 1.1 2011/11/27 08:05:49 hattya Exp $
EAPI="4"
inherit autotools eutils
MY_P="${P/g/G}"
MY_PN="${PN/g/G}2"
PV_COMMIT="598828842a339a44c32ab8c16f5f9a77f3c1c799"
DESCRIPTION="GTK2 binding for Gauche"
HOMEPAGE="http://practical-scheme.net/gauche/"
SRC_URI="https://github.com/shirok/${MY_PN}/tarball/${PV_COMMIT} -> ${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~ppc ~x86"
IUSE="examples glgd nls opengl"
RESTRICT="test"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
RDEPEND="x11-libs/gtk+:2
dev-scheme/gauche
opengl? (
x11-libs/gtkglext
dev-scheme/gauche-gl
)"
S="${WORKDIR}/shirok-${MY_PN}-${PV_COMMIT:0:7}"
src_prepare() {
epatch "${FILESDIR}"/${PN}-h2s-gdk-pixbuf.diff
epatch "${FILESDIR}"/${PN}-gtk-lib.hints.diff
epatch "${FILESDIR}"/${PN}-h2s-cpp.diff
eautoconf
}
src_configure() {
local myconf
if use opengl; then
if use glgd; then
myconf="--enable-glgd"
if use nls; then
myconf="${myconf}-pango"
fi
else
myconf="--enable-gtkgl"
fi
fi
econf ${myconf}
}
src_compile() {
emake stubs
emake
}
src_install() {
emake DESTDIR="${D}" install
dodoc ChangeLog README
if use examples; then
docompress -x /usr/share/doc/${PF}/examples
docinto examples
dodoc examples/*.scm
# install gtk-tutorial
docinto examples/gtk-tutorial
dodoc examples/gtk-tutorial/*
if use opengl; then
# install gtkglext
dodoc -r examples/gtkglext
if use glgd; then
# install glgd
dodoc -r examples/glgd
fi
fi
fi
}

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>tcltk</herd>
<herd>tcltk</herd>
</pkgmetadata>

@ -1,19 +1,20 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tkXwin/tkXwin-1.0-r1.ebuild,v 1.12 2010/12/07 17:21:00 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tkXwin/tkXwin-1.0-r1.ebuild,v 1.13 2011/11/26 11:22:04 jlec Exp $
inherit eutils
DESCRIPTION="Tcl/Tk library to detect idle periods of an X session."
DESCRIPTION="Tcl/Tk library to detect idle periods of an X session"
HOMEPAGE="http://beepcore-tcl.sourceforge.net/"
SRC_URI="http://beepcore-tcl.sourceforge.net/${P}.tgz"
IUSE=""
LICENSE="BSD"
SLOT="0"
IUSE=""
KEYWORDS="alpha amd64 ppc sparc x86"
DEPEND=">=dev-lang/tcl-8.3.3
>=dev-lang/tk-8.3.3
DEPEND="
dev-lang/tk
x11-proto/scrnsaverproto
x11-proto/xextproto"
RDEPEND="${DEPEND}"

@ -1,22 +1,24 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tkXwin/tkXwin-1.0-r2.ebuild,v 1.1 2010/12/07 17:20:57 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tkXwin/tkXwin-1.0-r2.ebuild,v 1.4 2011/11/26 16:44:43 hwoarang Exp $
EAPI="3"
inherit eutils toolchain-funcs
DESCRIPTION="Tcl/Tk library to detect idle periods of an X session."
DESCRIPTION="Tcl/Tk library to detect idle periods of an X session"
HOMEPAGE="http://beepcore-tcl.sourceforge.net/"
SRC_URI="http://beepcore-tcl.sourceforge.net/${P}.tgz"
IUSE="debug threads"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
IUSE="debug static-libs threads"
KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86"
DEPEND="
dev-lang/tk[threads?]
x11-libs/libX11
x11-libs/libXext
x11-proto/scrnsaverproto
x11-proto/xextproto"
RDEPEND="${DEPEND}"
@ -35,11 +37,13 @@ src_configure() {
--enable-gcc \
--with-x \
--enable-shared \
$(use_enable static-libs static) \
$(use_enable threads) \
$(use_enable debug symbols)
}
src_install() {
emake DESTDIR=${D} install || die
emake DESTDIR="${D}" install || die
dodoc AUTHORS INSTALL README || die
use static-libs || rm -f "${ED}"/usr/$(get_libdir)/*.la
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-tex/feynmf/feynmf-1.08-r3.ebuild,v 1.15 2011/10/05 19:06:26 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-tex/feynmf/feynmf-1.08-r3.ebuild,v 1.16 2011/11/26 18:55:15 ulm Exp $
inherit eutils latex-package
@ -15,8 +15,9 @@ SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc"
DEPEND="dev-texlive/texlive-metapost"
RDEPEND="${DEPEND}"
RDEPEND="dev-texlive/texlive-metapost"
DEPEND="${RDEPEND}
dev-lang/perl"
S="${WORKDIR}/${PN}"
TEXMF="/usr/share/texmf-site"

@ -1,3 +1,4 @@
DIST anjuta-2.32.1.1.tar.bz2 10171972 RMD160 2f1ae061e75761e60e0a83943ec1e31ee8b43cbf SHA1 de058e76d918a8338e9f71860cc8c0b8f13ca0a6 SHA256 f2b67609890a45d907ab5b42fd5963ba7cb41193d4a0dd2543584eca2ec5db58
DIST anjuta-3.2.1.tar.xz 5763900 RMD160 4605c5096d1def4f3504fa08a543cc6fa848f6b7 SHA1 76467dfbc06d941aafc4e2ddfab7fad924863169 SHA256 1e59aed63312e293c55f2934c4766411e9908fa512dd86e1422e3d906fe75613
DIST anjuta-3.2.2.tar.xz 5791124 RMD160 cc2c68a9924294ac47d2895d1fed97c229b69a24 SHA1 a42827d2d6d322ae37f3add7859010860971d687 SHA256 909fee6af9b86192eecac47e417f1de8bd8c759dfd2bf3ee288bb146a575683e
DIST introspection.m4.bz2 1181 RMD160 3648afa820c2ee7e240083076e1452285d043084 SHA1 e5188cc387d0d17feb77684feff7ff163779912f SHA256 69a2a57b12179159420825d1d44c74108014b0864c4d63500265639cfa9151ae

@ -0,0 +1,134 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/anjuta/anjuta-3.2.2.ebuild,v 1.1 2011/11/26 19:48:25 tetromino Exp $
EAPI="4"
GCONF_DEBUG="yes"
GNOME2_LA_PUNT="yes"
PYTHON_DEPEND="2"
inherit gnome2 flag-o-matic multilib python
DESCRIPTION="A versatile IDE for GNOME"
HOMEPAGE="http://www.anjuta.org"
SRC_URI="${SRC_URI} mirror://gentoo/introspection.m4.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="debug devhelp doc glade graphviz +introspection packagekit subversion test vala"
# FIXME: tests are fragile and may require a specific set of USE flags
#RESTRICT="test"
# FIXME: documentation fails to build when USE=test. But why?
REQUIRED_USE="test? ( !doc )"
COMMON_DEPEND=">=dev-libs/glib-2.29.2:2
x11-libs/gdk-pixbuf:2
>=x11-libs/gtk+-3.0.0:3
>=x11-libs/vte-0.27.6:2.90
>=dev-libs/libxml2-2.4.23
>=dev-libs/gdl-2.91.4:3
>=x11-libs/gtksourceview-2.91.8:3.0
sys-devel/autogen
>=gnome-extra/libgda-4.99.0:5
dev-util/ctags
x11-libs/libXext
x11-libs/libXrender
devhelp? ( >=dev-util/devhelp-3.0.0 )
glade? ( >=dev-util/glade-3.9.2:3.10 )
graphviz? ( >=media-gfx/graphviz-2.6 )
introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
subversion? (
>=dev-vcs/subversion-1.5.0
>=net-libs/neon-0.28.2
>=dev-libs/apr-1
>=dev-libs/apr-util-1 )
vala? ( >=dev-lang/vala-0.13.3:0.14 )"
RDEPEND="${COMMON_DEPEND}
packagekit? ( app-admin/packagekit-base )"
DEPEND="${COMMON_DEPEND}
>=dev-lang/perl-5
!!dev-libs/gnome-build
>=sys-devel/gettext-0.17
>=dev-util/intltool-0.40.1
>=dev-util/pkgconfig-0.22
>=app-text/scrollkeeper-0.3.14-r2
>=app-text/gnome-doc-utils-0.18
dev-util/gtk-doc-am
gnome-base/gnome-common
sys-devel/bison
sys-devel/flex
doc? ( >=dev-util/gtk-doc-1.4 )
test? (
app-text/docbook-xml-dtd:4.1.2
app-text/docbook-xml-dtd:4.5 )"
pkg_setup() {
DOCS="AUTHORS ChangeLog FUTURE MAINTAINERS NEWS README ROADMAP THANKS TODO"
G2CONF="${G2CONF}
--disable-static
--disable-schemas-compile
--docdir=/usr/share/doc/${PF}
$(use_enable debug)
$(use_enable devhelp plugin-devhelp)
$(use_enable glade plugin-glade)
$(use_enable graphviz)
$(use_enable introspection)
$(use_enable packagekit)
$(use_enable subversion plugin-subversion)
$(use_enable vala)"
if use vala; then
G2CONF="${G2CONF} VALAC=$(type -P valac-0.14)"
fi
# Conflicts with -pg in a plugin, bug #266777
filter-flags -fomit-frame-pointer
python_set_active_version 2
python_pkg_setup
}
#src_prepare() {
# Needed to preserve introspection configure option, see bgo#633730
# eautoreconf needs introspection.m4
#
# Looks to not be needed for this version, but, if introspection configure
# option is lost again, revisit this.
# cp "${WORKDIR}"/introspection.m4 . || die
# intltoolize --force --copy --automake || die "intltoolize failed"
# AT_M4DIR="." eautoreconf
# gnome2_src_prepare
#}
src_install() {
# Anjuta uses a custom rule to install DOCS, get rid of it
gnome2_src_install
rm -rf "${ED}"/usr/share/doc/${PN} || die "rm failed"
}
pkg_postinst() {
gnome2_pkg_postinst
elog ""
elog "Some project templates may require additional development"
elog "libraries to function correctly. It goes beyond the scope"
elog "of this ebuild to provide them."
if use vala; then
elog ""
elog "To create a generic vala project you will need to specify"
elog "desired valac versioned binary to be used, to do that you"
elog "will need to:"
elog "1. Go to 'Build' -> 'Configure project'"
elog "2. Add 'VALAC=/usr/bin/valac-X.XX' (respecting quotes) to"
elog "'Configure options'."
fi
}

@ -1,9 +1,10 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/ghh/ghh-9999.ebuild,v 1.6 2011/09/20 22:37:13 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/ghh/ghh-9999.ebuild,v 1.7 2011/11/26 17:23:22 floppym Exp $
EAPI=3
inherit autotools git-2
PYTHON_DEPEND="2:2.6"
inherit autotools git-2 python
DESCRIPTION="a tool to track the history and make backups of your home directory"
HOMEPAGE="http://jean-francois.richard.name/ghh/"
@ -15,6 +16,7 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
IUSE=""
DOCS=( AUTHORS ChangeLog MAINTAINERS NEWS README TODO )
# probably needs more/less crap listed here ...
RDEPEND="x11-libs/gtk+:2
@ -22,16 +24,22 @@ RDEPEND="x11-libs/gtk+:2
gnome-base/libgnome
app-text/gnome-doc-utils
>=app-text/asciidoc-8
dev-vcs/git
dev-lang/python"
dev-python/pygtk:2
dev-vcs/git"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
pkg_setup() {
python_set_active_version 2
python_pkg_setup
}
src_prepare() {
NOCONFIGURE=yes git_src_prepare
}
src_install() {
emake install DESTDIR="${D}" || die
dodoc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
dodoc ${DOCS[@]}
python_convert_shebangs -r 2 "${ED}"
}

@ -179,6 +179,9 @@ case "$1" in
declare files=()
declare arg=""
# Default to $PWD #276447
[[ $# -eq 0 ]] && set -- "${PWD}"
for arg in "${@}"
do
if [[ -d "${arg}" || -f "${arg}" ]]

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/lafilefixer/lafilefixer-0.5.ebuild,v 1.15 2010/11/12 15:20:21 mattst88 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/lafilefixer/lafilefixer-0.5.ebuild,v 1.16 2011/11/27 00:01:35 vapier Exp $
EAPI=2
@ -9,7 +9,7 @@ HOMEPAGE="http://www.gentoo.org/"
SRC_URI=""
LICENSE="MIT"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc ~sparc-fbsd x86 ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND=""
RDEPEND=">=app-shells/bash-3.2

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/molecule/molecule-0.9.21.ebuild,v 1.1 2011/09/04 12:18:44 lxnay Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/molecule/molecule-0.9.21.ebuild,v 1.2 2011/11/26 16:38:45 lxnay Exp $
EAPI="3"
PYTHON_DEPEND="*"
@ -13,7 +13,7 @@ SRC_URI="mirror://sabayon/${CATEGORY}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND="dev-util/intltool

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/rcs/rcs-5.8.ebuild,v 1.5 2011/11/11 09:22:01 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/rcs/rcs-5.8.ebuild,v 1.6 2011/11/26 19:21:11 armin76 Exp $
EAPI="4"
@ -12,7 +12,7 @@ SRC_URI="mirror://gnu/rcs/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ~ppc ~ppc64 s390 sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris"
IUSE="doc"
RDEPEND="sys-apps/diffutils"

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.25 2011/10/14 20:28:29 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.27 2011/11/26 20:43:55 mgorny Exp $
# @ECLASS: autotools-utils.eclass
# @MAINTAINER:
@ -233,16 +233,6 @@ autotools-utils_src_configure() {
# Common args
local econfargs=()
# Handle debug found in IUSE
if in_iuse debug; then
local debugarg=$(use_enable debug)
if ! has "${debugarg}" "${myeconfargs[@]}"; then
eqawarn 'Implicit $(use_enable debug) for IUSE="debug" is no longer supported.'
eqawarn 'Please add the necessary arg to myeconfargs if requested.'
eqawarn 'The autotools-utils eclass will stop warning about it on Oct 15th.'
fi
fi
# Handle static-libs found in IUSE, disable them by default
if in_iuse static-libs; then
econfargs+=(
@ -256,9 +246,9 @@ autotools-utils_src_configure() {
_check_build_dir
mkdir -p "${AUTOTOOLS_BUILD_DIR}" || die "mkdir '${AUTOTOOLS_BUILD_DIR}' failed"
pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null || die
base_src_configure "${econfargs[@]}" "$@"
popd > /dev/null
popd > /dev/null || die
}
# @FUNCTION: autotools-utils_src_compile
@ -268,9 +258,9 @@ autotools-utils_src_compile() {
debug-print-function ${FUNCNAME} "$@"
_check_build_dir
pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null || die
base_src_compile "$@"
popd > /dev/null
popd > /dev/null || die
}
# @FUNCTION: autotools-utils_src_install
@ -285,9 +275,9 @@ autotools-utils_src_install() {
debug-print-function ${FUNCNAME} "$@"
_check_build_dir
pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null || die
base_src_install "$@"
popd > /dev/null
popd > /dev/null || die
# Remove libtool files and unnecessary static libs
remove_libtool_files
@ -300,8 +290,8 @@ autotools-utils_src_test() {
debug-print-function ${FUNCNAME} "$@"
_check_build_dir
pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null || die
# Run default src_test as defined in ebuild.sh
default_src_test
popd > /dev/null
popd > /dev/null || die
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save